#include <stdio.h>

main(){
  int j;
  register int i;
  register char temp;
  char c[8192],d[8192],e[10*8192+300];
  char a[8192],b[8192],f[512*1024];

  fprintf(stderr,"\n----------\nProgram started\n"); 

/*$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$*/
  fprintf(stderr,"------------------------------------\n");
  fprintf(stderr,"Phase 1: Zero TLB        Low cache\n");
  fprintf(stderr,"         ^^^^            ^^^\n\n");

  for(i=0; i<8192; i++){  /****** Phase 1 starts here ******/
    a[i] = 70;           
  }                       
  for(i=0; i<8192; i++){
    b[i] = 70;
  }                       /* Here we expect low miss rate  */
  for(i=0; i<8192; i++){  /* in both data cache and TLB    */
    c[i] = 70;
  }
  for(i=0; i<8192; i++){
    d[i] = 70;
  }               /**********  Phase 1 ends here  **********/


/*$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$*/

  fprintf(stderr,"------------------------------------\n");
  fprintf(stderr,"Phase 2: Zero TLB       V High cache\n");
  fprintf(stderr,"         ^^^^           ^^^^^^\n\n");

  for(i=0; i<500; i++){        /****** Phase 2 starts here ******/
    c[2048] = d[2048] + i/100; /* here we expect very high miss */
    c[0] = d[0] + i/100;       /* rate in data cache and 0 in   */
    c[4096] = d[4096] + i/100; /* data TLB                      */
  }                    /**********  Phase 2 ends here  **********/

/*$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$*/

  fprintf(stderr,"------------------------------------\n");
  fprintf(stderr,"Phase 3: High TLB (<5)  Low cache\n");
  fprintf(stderr,"         ^^^^           ^^^      \n");

  for(i=0; i<1024; i++){  /******  Phase 3 starts here  ******/
    e[i] = 70;
    e[i+8192+32] = 70;         /* Here we expect a low miss rate */
    e[i+2*8192+2*32] = 70;     /* in data cache and a very high  */
    e[i+3*8192+3*32] = 70;     /* miss rate in a < 10 places TLB */
    e[i+4*8192+4*32] = 70;
    e[i+5*8192+5*32] = 70;
    e[i+6*8192+6*32] = 70;
    e[i+7*8192+7*32] = 70;
    e[i+8*8192+8*32] = 70;
    e[i+9*8192+9*32] = 70;
  }                       /******  Phase 3 ends here  ******/

/*$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$*/

/*$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$*/

  fprintf(stderr,"------------------------------------\n");
  fprintf(stderr,"Phase 4: Low  TLB      Low cache    High sec. cache\n");
  fprintf(stderr,"         ^^^           ^^^          ^^^^\n");

  for(j=0; j<8192; j+= 128){
    for(i=j; i<512*1024-31; i+=8192+32){  /******  Phase 4 starts here  ******/
     temp += f[i];
     temp -= f[i+1];
     temp += f[i+2];  /* here we expect a small miss rate */
     temp -= f[i+3];  /* in data cache and a large miss   */
     temp += f[i+4];  /* rate in secondary cache          */
     temp -= f[i+5];
     temp += f[i+6];
     temp -= f[i+7];
     temp += f[i+8];
     temp -= f[i+9];
     temp += f[i+10];
     temp -= f[i+11];
     temp += f[i+12];
     temp -= f[i+13];
     temp += f[i+14];
     temp -= f[i+15];
     temp += f[i+16];
     temp -= f[i+17];
     temp += f[i+18];
     temp -= f[i+19];
     temp += f[i+20];
     temp -= f[i+21];
     temp += f[i+22];
     temp -= f[i+23];
     temp += f[i+24];
     temp -= f[i+25];
     temp += f[i+26];
     temp -= f[i+27];
     temp += f[i+28];
     temp -= f[i+29];
     temp += f[i+30];
     temp -= f[i+31];
    }
  }

  printf("Program stoped\n");

  printf("%c %c %c %c\n",a[8],b[7],c[5],d[4]);
  printf("%c %c %c %c\n",a[100],b[200],c[300],d[400]);
  printf("%c %c %c %c\n",a[1000],b[2000],c[4000],d[5000]);
  printf("%c %c %c %c\n",e[0],e[500],e[10000],e[80000]);
  printf("%c %c %c %c\n",f[0],f[500],f[10000],f[80000]);
  fflush(stdout);
  return 0;
}
