/* Copyright 1997 Sun Microsystems, Inc.  All rights reserved. */

#ifndef IWORDS_h_
#define IWORDS_h_

#pragma ident "@(#)Shade and Spixtools V5.32C, V9 SPARC SunOS"


#define IW_ADD         (0x80000000)
#define IW_ADDC        (0x80400000)
#define IW_ADDCC       (0x80800000)
#define IW_ADDCCC      (0x80c00000)
#define IW_ALIGNADDR   (0x81b00300)
#define IW_ALIGNADDRL  (0x81b00340)
#define IW_AND         (0x80080000)
#define IW_ANDCC       (0x80880000)
#define IW_ANDN        (0x80280000)
#define IW_ANDNCC      (0x80a80000)
#define IW_ARRAY16     (0x81b00240)
#define IW_ARRAY32     (0x81b00280)
#define IW_ARRAY8      (0x81b00200)
#define IW_BA          (0x10800000)
#define IW_BAA         (0x30800000)
#define IW_BCC         (0x1a800000)
#define IW_BCCA        (0x3a800000)
#define IW_BCS         (0x0a800000)
#define IW_BCSA        (0x2a800000)
#define IW_BE          (0x02800000)
#define IW_BEA         (0x22800000)
#define IW_BG          (0x14800000)
#define IW_BGA         (0x34800000)
#define IW_BGE         (0x16800000)
#define IW_BGEA        (0x36800000)
#define IW_BGU         (0x18800000)
#define IW_BGUA        (0x38800000)
#define IW_BL          (0x06800000)
#define IW_BLA         (0x26800000)
#define IW_BLE         (0x04800000)
#define IW_BLEA        (0x24800000)
#define IW_BLEU        (0x08800000)
#define IW_BLEUA       (0x28800000)
#define IW_BN          (0x00800000)
#define IW_BNA         (0x20800000)
#define IW_BNE         (0x12800000)
#define IW_BNEA        (0x32800000)
#define IW_BNEG        (0x0c800000)
#define IW_BNEGA       (0x2c800000)
#define IW_BPAAPN      (0x30400000)
#define IW_BPAAPT      (0x30480000)
#define IW_BPAPN       (0x10400000)
#define IW_BPAPT       (0x10480000)
#define IW_BPCCAPN     (0x3a400000)
#define IW_BPCCAPT     (0x3a480000)
#define IW_BPCCPN      (0x1a400000)
#define IW_BPCCPT      (0x1a480000)
#define IW_BPCSAPN     (0x2a400000)
#define IW_BPCSAPT     (0x2a480000)
#define IW_BPCSPN      (0x0a400000)
#define IW_BPCSPT      (0x0a480000)
#define IW_BPEAPN      (0x22400000)
#define IW_BPEAPT      (0x22480000)
#define IW_BPEPN       (0x02400000)
#define IW_BPEPT       (0x02480000)
#define IW_BPGAPN      (0x34400000)
#define IW_BPGAPT      (0x34480000)
#define IW_BPGPN       (0x14400000)
#define IW_BPGPT       (0x14480000)
#define IW_BPGEAPN     (0x36400000)
#define IW_BPGEAPT     (0x36480000)
#define IW_BPGEPN      (0x16400000)
#define IW_BPGEPT      (0x16480000)
#define IW_BPGUAPN     (0x38400000)
#define IW_BPGUAPT     (0x38480000)
#define IW_BPGUPN      (0x18400000)
#define IW_BPGUPT      (0x18480000)
#define IW_BPLAPN      (0x26400000)
#define IW_BPLAPT      (0x26480000)
#define IW_BPLPN       (0x06400000)
#define IW_BPLPT       (0x06480000)
#define IW_BPLEAPN     (0x24400000)
#define IW_BPLEAPT     (0x24480000)
#define IW_BPLEPN      (0x04400000)
#define IW_BPLEPT      (0x04480000)
#define IW_BPLEUAPN    (0x28400000)
#define IW_BPLEUAPT    (0x28480000)
#define IW_BPLEUPN     (0x08400000)
#define IW_BPLEUPT     (0x08480000)
#define IW_BPNAPN      (0x20400000)
#define IW_BPNAPT      (0x20480000)
#define IW_BPNPN       (0x00400000)
#define IW_BPNPT       (0x00480000)
#define IW_BPNEAPN     (0x32400000)
#define IW_BPNEAPT     (0x32480000)
#define IW_BPNEPN      (0x12400000)
#define IW_BPNEPT      (0x12480000)
#define IW_BPNEGAPN    (0x2c400000)
#define IW_BPNEGAPT    (0x2c480000)
#define IW_BPNEGPN     (0x0c400000)
#define IW_BPNEGPT     (0x0c480000)
#define IW_BPOS        (0x1c800000)
#define IW_BPOSA       (0x3c800000)
#define IW_BPPOSAPN    (0x3c400000)
#define IW_BPPOSAPT    (0x3c480000)
#define IW_BPPOSPN     (0x1c400000)
#define IW_BPPOSPT     (0x1c480000)
#define IW_BPVCAPN     (0x3e400000)
#define IW_BPVCAPT     (0x3e480000)
#define IW_BPVCPN      (0x1e400000)
#define IW_BPVCPT      (0x1e480000)
#define IW_BPVSAPN     (0x2e400000)
#define IW_BPVSAPT     (0x2e480000)
#define IW_BPVSPN      (0x0e400000)
#define IW_BPVSPT      (0x0e480000)
#define IW_BRGEZAPN    (0x2ec00000)
#define IW_BRGEZAPT    (0x2ec80000)
#define IW_BRGEZPN     (0x0ec00000)
#define IW_BRGEZPT     (0x0ec80000)
#define IW_BRGZAPN     (0x2cc00000)
#define IW_BRGZAPT     (0x2cc80000)
#define IW_BRGZPN      (0x0cc00000)
#define IW_BRGZPT      (0x0cc80000)
#define IW_BRLEZAPN    (0x24c00000)
#define IW_BRLEZAPT    (0x24c80000)
#define IW_BRLEZPN     (0x04c00000)
#define IW_BRLEZPT     (0x04c80000)
#define IW_BRLZAPN     (0x26c00000)
#define IW_BRLZAPT     (0x26c80000)
#define IW_BRLZPN      (0x06c00000)
#define IW_BRLZPT      (0x06c80000)
#define IW_BRNZAPN     (0x2ac00000)
#define IW_BRNZAPT     (0x2ac80000)
#define IW_BRNZPN      (0x0ac00000)
#define IW_BRNZPT      (0x0ac80000)
#define IW_BRZAPN      (0x22c00000)
#define IW_BRZAPT      (0x22c80000)
#define IW_BRZPN       (0x02c00000)
#define IW_BRZPT       (0x02c80000)
#define IW_BVC         (0x1e800000)
#define IW_BVCA        (0x3e800000)
#define IW_BVS         (0x0e800000)
#define IW_BVSA        (0x2e800000)
#define IW_CALL        (0x40000000)
#define IW_CASA        (0xc1e00000)
#define IW_CASXA       (0xc1f00000)
#define IW_DONE        (0x81f00000)
#define IW_EDGE16      (0x81b00080)
#define IW_EDGE16L     (0x81b000c0)
#define IW_EDGE32      (0x81b00100)
#define IW_EDGE32L     (0x81b00140)
#define IW_EDGE8       (0x81b00000)
#define IW_EDGE8L      (0x81b00040)
#define IW_FABSD       (0x81a00140)
#define IW_FABSQ       (0x81a00160)
#define IW_FABSS       (0x81a00120)
#define IW_FADDD       (0x81a00840)
#define IW_FADDQ       (0x81a00860)
#define IW_FADDS       (0x81a00820)
#define IW_FALIGNDATA  (0x81b00900)
#define IW_FAND        (0x81b00e00)
#define IW_FANDNOT1    (0x81b00d00)
#define IW_FANDNOT1S   (0x81b00d20)
#define IW_FANDNOT2    (0x81b00c80)
#define IW_FANDNOT2S   (0x81b00ca0)
#define IW_FANDS       (0x81b00e20)
#define IW_FBA         (0x11800000)
#define IW_FBAA        (0x31800000)
#define IW_FBE         (0x13800000)
#define IW_FBEA        (0x33800000)
#define IW_FBG         (0x0d800000)
#define IW_FBGA        (0x2d800000)
#define IW_FBGE        (0x17800000)
#define IW_FBGEA       (0x37800000)
#define IW_FBL         (0x09800000)
#define IW_FBLA        (0x29800000)
#define IW_FBLE        (0x1b800000)
#define IW_FBLEA       (0x3b800000)
#define IW_FBLG        (0x05800000)
#define IW_FBLGA       (0x25800000)
#define IW_FBN         (0x01800000)
#define IW_FBNA        (0x21800000)
#define IW_FBNE        (0x03800000)
#define IW_FBNEA       (0x23800000)
#define IW_FBO         (0x1f800000)
#define IW_FBOA        (0x3f800000)
#define IW_FBPAAPN     (0x31400000)
#define IW_FBPAAPT     (0x31480000)
#define IW_FBPAPN      (0x11400000)
#define IW_FBPAPT      (0x11480000)
#define IW_FBPEAPN     (0x33400000)
#define IW_FBPEAPT     (0x33480000)
#define IW_FBPEPN      (0x13400000)
#define IW_FBPEPT      (0x13480000)
#define IW_FBPGAPN     (0x2d400000)
#define IW_FBPGAPT     (0x2d480000)
#define IW_FBPGPN      (0x0d400000)
#define IW_FBPGPT      (0x0d480000)
#define IW_FBPGEAPN    (0x37400000)
#define IW_FBPGEAPT    (0x37480000)
#define IW_FBPGEPN     (0x17400000)
#define IW_FBPGEPT     (0x17480000)
#define IW_FBPLAPN     (0x29400000)
#define IW_FBPLAPT     (0x29480000)
#define IW_FBPLPN      (0x09400000)
#define IW_FBPLPT      (0x09480000)
#define IW_FBPLEAPN    (0x3b400000)
#define IW_FBPLEAPT    (0x3b480000)
#define IW_FBPLEPN     (0x1b400000)
#define IW_FBPLEPT     (0x1b480000)
#define IW_FBPLGAPN    (0x25400000)
#define IW_FBPLGAPT    (0x25480000)
#define IW_FBPLGPN     (0x05400000)
#define IW_FBPLGPT     (0x05480000)
#define IW_FBPNAPN     (0x21400000)
#define IW_FBPNAPT     (0x21480000)
#define IW_FBPNPN      (0x01400000)
#define IW_FBPNPT      (0x01480000)
#define IW_FBPNEAPN    (0x23400000)
#define IW_FBPNEAPT    (0x23480000)
#define IW_FBPNEPN     (0x03400000)
#define IW_FBPNEPT     (0x03480000)
#define IW_FBPOAPN     (0x3f400000)
#define IW_FBPOAPT     (0x3f480000)
#define IW_FBPOPN      (0x1f400000)
#define IW_FBPOPT      (0x1f480000)
#define IW_FBPUAPN     (0x2f400000)
#define IW_FBPUAPT     (0x2f480000)
#define IW_FBPUPN      (0x0f400000)
#define IW_FBPUPT      (0x0f480000)
#define IW_FBPUEAPN    (0x35400000)
#define IW_FBPUEAPT    (0x35480000)
#define IW_FBPUEPN     (0x15400000)
#define IW_FBPUEPT     (0x15480000)
#define IW_FBPUGAPN    (0x2b400000)
#define IW_FBPUGAPT    (0x2b480000)
#define IW_FBPUGPN     (0x0b400000)
#define IW_FBPUGPT     (0x0b480000)
#define IW_FBPUGEAPN   (0x39400000)
#define IW_FBPUGEAPT   (0x39480000)
#define IW_FBPUGEPN    (0x19400000)
#define IW_FBPUGEPT    (0x19480000)
#define IW_FBPULAPN    (0x27400000)
#define IW_FBPULAPT    (0x27480000)
#define IW_FBPULPN     (0x07400000)
#define IW_FBPULPT     (0x07480000)
#define IW_FBPULEAPN   (0x3d400000)
#define IW_FBPULEAPT   (0x3d480000)
#define IW_FBPULEPN    (0x1d400000)
#define IW_FBPULEPT    (0x1d480000)
#define IW_FBU         (0x0f800000)
#define IW_FBUA        (0x2f800000)
#define IW_FBUE        (0x15800000)
#define IW_FBUEA       (0x35800000)
#define IW_FBUG        (0x0b800000)
#define IW_FBUGA       (0x2b800000)
#define IW_FBUGE       (0x19800000)
#define IW_FBUGEA      (0x39800000)
#define IW_FBUL        (0x07800000)
#define IW_FBULA       (0x27800000)
#define IW_FBULE       (0x1d800000)
#define IW_FBULEA      (0x3d800000)
#define IW_FCMPD       (0x81a80a40)
#define IW_FCMPED      (0x81a80ac0)
#define IW_FCMPEQ      (0x81a80ae0)
#define IW_FCMPEQ16    (0x81b00540)
#define IW_FCMPEQ32    (0x81b005c0)
#define IW_FCMPES      (0x81a80aa0)
#define IW_FCMPGT16    (0x81b00500)
#define IW_FCMPGT32    (0x81b00580)
#define IW_FCMPLE16    (0x81b00400)
#define IW_FCMPLE32    (0x81b00480)
#define IW_FCMPNE16    (0x81b00440)
#define IW_FCMPNE32    (0x81b004c0)
#define IW_FCMPQ       (0x81a80a60)
#define IW_FCMPS       (0x81a80a20)
#define IW_FDIVD       (0x81a009c0)
#define IW_FDIVQ       (0x81a009e0)
#define IW_FDIVS       (0x81a009a0)
#define IW_FDMULQ      (0x81a00dc0)
#define IW_FDTOI       (0x81a01a40)
#define IW_FDTOQ       (0x81a019c0)
#define IW_FDTOS       (0x81a018c0)
#define IW_FDTOX       (0x81a01040)
#define IW_FEXPAND     (0x81b009a0)
#define IW_FITOD       (0x81a01900)
#define IW_FITOQ       (0x81a01980)
#define IW_FITOS       (0x81a01880)
#define IW_FLUSH       (0x81d80000)
#define IW_FLUSHW      (0x81580000)
#define IW_FMOVD       (0x81a00040)
#define IW_FMOVDA      (0x81aa2040)
#define IW_FMOVDCC     (0x81ab6040)
#define IW_FMOVDCS     (0x81a96040)
#define IW_FMOVDE      (0x81a86040)
#define IW_FMOVDFA     (0x81aa0040)
#define IW_FMOVDFE     (0x81aa4040)
#define IW_FMOVDFG     (0x81a98040)
#define IW_FMOVDFGE    (0x81aac040)
#define IW_FMOVDFL     (0x81a90040)
#define IW_FMOVDFLE    (0x81ab4040)
#define IW_FMOVDFLG    (0x81a88040)
#define IW_FMOVDFN     (0x81a80040)
#define IW_FMOVDFNE    (0x81a84040)
#define IW_FMOVDFO     (0x81abc040)
#define IW_FMOVDFU     (0x81a9c040)
#define IW_FMOVDFUE    (0x81aa8040)
#define IW_FMOVDFUG    (0x81a94040)
#define IW_FMOVDFUGE   (0x81ab0040)
#define IW_FMOVDFUL    (0x81a8c040)
#define IW_FMOVDFULE   (0x81ab8040)
#define IW_FMOVDG      (0x81aaa040)
#define IW_FMOVDGE     (0x81aae040)
#define IW_FMOVDGU     (0x81ab2040)
#define IW_FMOVDL      (0x81a8e040)
#define IW_FMOVDLE     (0x81a8a040)
#define IW_FMOVDLEU    (0x81a92040)
#define IW_FMOVDN      (0x81a82040)
#define IW_FMOVDNE     (0x81aa6040)
#define IW_FMOVDNEG    (0x81a9a040)
#define IW_FMOVDPOS    (0x81aba040)
#define IW_FMOVDVC     (0x81abe040)
#define IW_FMOVDVS     (0x81a9e040)
#define IW_FMOVQ       (0x81a00060)
#define IW_FMOVQA      (0x81aa2060)
#define IW_FMOVQCC     (0x81ab6060)
#define IW_FMOVQCS     (0x81a96060)
#define IW_FMOVQE      (0x81a86060)
#define IW_FMOVQFA     (0x81aa0060)
#define IW_FMOVQFE     (0x81aa4060)
#define IW_FMOVQFG     (0x81a98060)
#define IW_FMOVQFGE    (0x81aac060)
#define IW_FMOVQFL     (0x81a90060)
#define IW_FMOVQFLE    (0x81ab4060)
#define IW_FMOVQFLG    (0x81a88060)
#define IW_FMOVQFN     (0x81a80060)
#define IW_FMOVQFNE    (0x81a84060)
#define IW_FMOVQFO     (0x81abc060)
#define IW_FMOVQFU     (0x81a9c060)
#define IW_FMOVQFUE    (0x81aa8060)
#define IW_FMOVQFUG    (0x81a94060)
#define IW_FMOVQFUGE   (0x81ab0060)
#define IW_FMOVQFUL    (0x81a8c060)
#define IW_FMOVQFULE   (0x81ab8060)
#define IW_FMOVQG      (0x81aaa060)
#define IW_FMOVQGE     (0x81aae060)
#define IW_FMOVQGU     (0x81ab2060)
#define IW_FMOVQL      (0x81a8e060)
#define IW_FMOVQLE     (0x81a8a060)
#define IW_FMOVQLEU    (0x81a92060)
#define IW_FMOVQN      (0x81a82060)
#define IW_FMOVQNE     (0x81aa6060)
#define IW_FMOVQNEG    (0x81a9a060)
#define IW_FMOVQPOS    (0x81aba060)
#define IW_FMOVQVC     (0x81abe060)
#define IW_FMOVQVS     (0x81a9e060)
#define IW_FMOVRDGEZ   (0x81a81cc0)
#define IW_FMOVRDGZ    (0x81a818c0)
#define IW_FMOVRDLEZ   (0x81a808c0)
#define IW_FMOVRDLZ    (0x81a80cc0)
#define IW_FMOVRDNZ    (0x81a814c0)
#define IW_FMOVRDZ     (0x81a804c0)
#define IW_FMOVRQGEZ   (0x81a81ce0)
#define IW_FMOVRQGZ    (0x81a818e0)
#define IW_FMOVRQLEZ   (0x81a808e0)
#define IW_FMOVRQLZ    (0x81a80ce0)
#define IW_FMOVRQNZ    (0x81a814e0)
#define IW_FMOVRQZ     (0x81a804e0)
#define IW_FMOVRSGEZ   (0x81a81ca0)
#define IW_FMOVRSGZ    (0x81a818a0)
#define IW_FMOVRSLEZ   (0x81a808a0)
#define IW_FMOVRSLZ    (0x81a80ca0)
#define IW_FMOVRSNZ    (0x81a814a0)
#define IW_FMOVRSZ     (0x81a804a0)
#define IW_FMOVS       (0x81a00020)
#define IW_FMOVSA      (0x81aa2020)
#define IW_FMOVSCC     (0x81ab6020)
#define IW_FMOVSCS     (0x81a96020)
#define IW_FMOVSE      (0x81a86020)
#define IW_FMOVSFA     (0x81aa0020)
#define IW_FMOVSFE     (0x81aa4020)
#define IW_FMOVSFG     (0x81a98020)
#define IW_FMOVSFGE    (0x81aac020)
#define IW_FMOVSFL     (0x81a90020)
#define IW_FMOVSFLE    (0x81ab4020)
#define IW_FMOVSFLG    (0x81a88020)
#define IW_FMOVSFN     (0x81a80020)
#define IW_FMOVSFNE    (0x81a84020)
#define IW_FMOVSFO     (0x81abc020)
#define IW_FMOVSFU     (0x81a9c020)
#define IW_FMOVSFUE    (0x81aa8020)
#define IW_FMOVSFUG    (0x81a94020)
#define IW_FMOVSFUGE   (0x81ab0020)
#define IW_FMOVSFUL    (0x81a8c020)
#define IW_FMOVSFULE   (0x81ab8020)
#define IW_FMOVSG      (0x81aaa020)
#define IW_FMOVSGE     (0x81aae020)
#define IW_FMOVSGU     (0x81ab2020)
#define IW_FMOVSL      (0x81a8e020)
#define IW_FMOVSLE     (0x81a8a020)
#define IW_FMOVSLEU    (0x81a92020)
#define IW_FMOVSN      (0x81a82020)
#define IW_FMOVSNE     (0x81aa6020)
#define IW_FMOVSNEG    (0x81a9a020)
#define IW_FMOVSPOS    (0x81aba020)
#define IW_FMOVSVC     (0x81abe020)
#define IW_FMOVSVS     (0x81a9e020)
#define IW_FMUL8SUX16  (0x81b006c0)
#define IW_FMUL8ULX16  (0x81b006e0)
#define IW_FMUL8X16    (0x81b00620)
#define IW_FMUL8X16AL  (0x81b006a0)
#define IW_FMUL8X16AU  (0x81b00660)
#define IW_FMULD       (0x81a00940)
#define IW_FMULD8SUX16 (0x81b00700)
#define IW_FMULD8ULX16 (0x81b00720)
#define IW_FMULQ       (0x81a00960)
#define IW_FMULS       (0x81a00920)
#define IW_FNAND       (0x81b00dc0)
#define IW_FNANDS      (0x81b00de0)
#define IW_FNEGD       (0x81a000c0)
#define IW_FNEGQ       (0x81a000e0)
#define IW_FNEGS       (0x81a000a0)
#define IW_FNOR        (0x81b00c40)
#define IW_FNORS       (0x81b00c60)
#define IW_FNOT1       (0x81b00d40)
#define IW_FNOT1S      (0x81b00d60)
#define IW_FNOT2       (0x81b00cc0)
#define IW_FNOT2S      (0x81b00ce0)
#define IW_FONE        (0x81b00fc0)
#define IW_FONES       (0x81b00fe0)
#define IW_FOR         (0x81b00f80)
#define IW_FORNOT1     (0x81b00f40)
#define IW_FORNOT1S    (0x81b00f60)
#define IW_FORNOT2     (0x81b00ec0)
#define IW_FORNOT2S    (0x81b00ee0)
#define IW_FORS        (0x81b00fa0)
#define IW_FPACK16     (0x81b00760)
#define IW_FPACK32     (0x81b00740)
#define IW_FPACKFIX    (0x81b007a0)
#define IW_FPADD16     (0x81b00a00)
#define IW_FPADD16S    (0x81b00a20)
#define IW_FPADD32     (0x81b00a40)
#define IW_FPADD32S    (0x81b00a60)
#define IW_FPMERGE     (0x81b00960)
#define IW_FPSUB16     (0x81b00a80)
#define IW_FPSUB16S    (0x81b00aa0)
#define IW_FPSUB32     (0x81b00ac0)
#define IW_FPSUB32S    (0x81b00ae0)
#define IW_FQTOD       (0x81a01960)
#define IW_FQTOI       (0x81a01a60)
#define IW_FQTOS       (0x81a018e0)
#define IW_FQTOX       (0x81a01060)
#define IW_FSMULD      (0x81a00d20)
#define IW_FSQRTD      (0x81a00540)
#define IW_FSQRTQ      (0x81a00560)
#define IW_FSQRTS      (0x81a00520)
#define IW_FSRC1       (0x81b00e80)
#define IW_FSRC1S      (0x81b00ea0)
#define IW_FSRC2       (0x81b00f00)
#define IW_FSRC2S      (0x81b00f20)
#define IW_FSTOD       (0x81a01920)
#define IW_FSTOI       (0x81a01a20)
#define IW_FSTOQ       (0x81a019a0)
#define IW_FSTOX       (0x81a01020)
#define IW_FSUBD       (0x81a008c0)
#define IW_FSUBQ       (0x81a008e0)
#define IW_FSUBS       (0x81a008a0)
#define IW_FXNOR       (0x81b00e40)
#define IW_FXNORS      (0x81b00e60)
#define IW_FXOR        (0x81b00d80)
#define IW_FXORS       (0x81b00da0)
#define IW_FXTOD       (0x81a01100)
#define IW_FXTOQ       (0x81a01180)
#define IW_FXTOS       (0x81a01080)
#define IW_FZERO       (0x81b00c00)
#define IW_FZEROS      (0x81b00c20)
#define IW_ILLTRAP     (0x00000000)
#define IW_IMPDEP1     (0x81b00000)
#define IW_IMPDEP2     (0x81b80000)
#define IW_JMPL        (0x81c00000)
#define IW_LDD         (0xc0180000)
#define IW_LDDA        (0xc0980000)
#define IW_LDDF        (0xc1180000)
#define IW_LDDFA       (0xc1980000)
#define IW_LDF         (0xc1000000)
#define IW_LDFA        (0xc1800000)
#define IW_LDFSR       (0xc1080000)
#define IW_LDQF        (0xc1100000)
#define IW_LDQFA       (0xc1900000)
#define IW_LDSB        (0xc0480000)
#define IW_LDSBA       (0xc0c80000)
#define IW_LDSH        (0xc0500000)
#define IW_LDSHA       (0xc0d00000)
#define IW_LDSTUB      (0xc0680000)
#define IW_LDSTUBA     (0xc0e80000)
#define IW_LDSW        (0xc0400000)
#define IW_LDSWA       (0xc0c00000)
#define IW_LDUB        (0xc0080000)
#define IW_LDUBA       (0xc0880000)
#define IW_LDUH        (0xc0100000)
#define IW_LDUHA       (0xc0900000)
#define IW_LDUW        (0xc0000000)
#define IW_LDUWA       (0xc0800000)
#define IW_LDX         (0xc0580000)
#define IW_LDXA        (0xc0d80000)
#define IW_LDXFSR      (0xc3080000)
#define IW_MEMBAR      (0x8143c000)
#define IW_MOVA        (0x81660000)
#define IW_MOVCC       (0x81674000)
#define IW_MOVCS       (0x81654000)
#define IW_MOVE        (0x81644000)
#define IW_MOVFA       (0x81620000)
#define IW_MOVFE       (0x81624000)
#define IW_MOVFG       (0x81618000)
#define IW_MOVFGE      (0x8162c000)
#define IW_MOVFL       (0x81610000)
#define IW_MOVFLE      (0x81634000)
#define IW_MOVFLG      (0x81608000)
#define IW_MOVFN       (0x81600000)
#define IW_MOVFNE      (0x81604000)
#define IW_MOVFO       (0x8163c000)
#define IW_MOVFU       (0x8161c000)
#define IW_MOVFUE      (0x81628000)
#define IW_MOVFUG      (0x81614000)
#define IW_MOVFUGE     (0x81630000)
#define IW_MOVFUL      (0x8160c000)
#define IW_MOVFULE     (0x81638000)
#define IW_MOVG        (0x81668000)
#define IW_MOVGE       (0x8166c000)
#define IW_MOVGU       (0x81670000)
#define IW_MOVL        (0x8164c000)
#define IW_MOVLE       (0x81648000)
#define IW_MOVLEU      (0x81650000)
#define IW_MOVN        (0x81640000)
#define IW_MOVNE       (0x81664000)
#define IW_MOVNEG      (0x81658000)
#define IW_MOVPOS      (0x81678000)
#define IW_MOVRGEZ     (0x81781c00)
#define IW_MOVRGZ      (0x81781800)
#define IW_MOVRLEZ     (0x81780800)
#define IW_MOVRLZ      (0x81780c00)
#define IW_MOVRNZ      (0x81781400)
#define IW_MOVRZ       (0x81780400)
#define IW_MOVVC       (0x8167c000)
#define IW_MOVVS       (0x8165c000)
#define IW_MULSCC      (0x81200000)
#define IW_MULX        (0x80480000)
#define IW_NOP         (0x01000000)
#define IW_OR          (0x80100000)
#define IW_ORCC        (0x80900000)
#define IW_ORN         (0x80300000)
#define IW_ORNCC       (0x80b00000)
#define IW_PDIST       (0x81b007c0)
#define IW_POPC        (0x81700000)
#define IW_PREFETCH    (0xc1680000)
#define IW_PREFETCHA   (0xc1e80000)
#define IW_RDASI       (0x8140c000)
#define IW_RDASR       (0x81400000)
#define IW_RDCCR       (0x81408000)
#define IW_RDFPRS      (0x81418000)
#define IW_RDPC        (0x81414000)
#define IW_RDPR        (0x81500000)
#define IW_RDTICK      (0x81410000)
#define IW_RDY         (0x81400000)
#define IW_RESTORE     (0x81e80000)
#define IW_RESTORED    (0x83880000)
#define IW_RETRY       (0x83f00000)
#define IW_RETURN      (0x81c80000)
#define IW_SAVE        (0x81e00000)
#define IW_SAVED       (0x81880000)
#define IW_SDIV        (0x80780000)
#define IW_SDIVCC      (0x80f80000)
#define IW_SDIVX       (0x81680000)
#define IW_SDIVXCC     (0x80e80000)
#define IW_SETHI       (0x01000000)
#define IW_SHUTDOWN    (0x81b01000)
#define IW_SIR         (0x9f802000)
#define IW_SLL         (0x81280000)
#define IW_SLLX        (0x81281000)
#define IW_SMUL        (0x80580000)
#define IW_SMULCC      (0x80d80000)
#define IW_SRA         (0x81380000)
#define IW_SRAX        (0x81381000)
#define IW_SRL         (0x81300000)
#define IW_SRLX        (0x81301000)
#define IW_STB         (0xc0280000)
#define IW_STBA        (0xc0a80000)
#define IW_STD         (0xc0380000)
#define IW_STDA        (0xc0b80000)
#define IW_STDF        (0xc1380000)
#define IW_STDFA       (0xc1b80000)
#define IW_STF         (0xc1200000)
#define IW_STFA        (0xc1a00000)
#define IW_STFSR       (0xc1280000)
#define IW_STH         (0xc0300000)
#define IW_STHA        (0xc0b00000)
#define IW_STQF        (0xc1300000)
#define IW_STQFA       (0xc1b00000)
#define IW_STW         (0xc0200000)
#define IW_STWA        (0xc0a00000)
#define IW_STX         (0xc0700000)
#define IW_STXA        (0xc0f00000)
#define IW_STXFSR      (0xc3280000)
#define IW_SUB         (0x80200000)
#define IW_SUBC        (0x80600000)
#define IW_SUBCC       (0x80a00000)
#define IW_SUBCCC      (0x80e00000)
#define IW_SWAP        (0xc0780000)
#define IW_SWAPA       (0xc0f80000)
#define IW_TA          (0x91d00000)
#define IW_TADDCC      (0x81000000)
#define IW_TADDCCTV    (0x81100000)
#define IW_TCC         (0x9bd00000)
#define IW_TCS         (0x8bd00000)
#define IW_TE          (0x83d00000)
#define IW_TG          (0x95d00000)
#define IW_TGE         (0x97d00000)
#define IW_TGU         (0x99d00000)
#define IW_TL          (0x87d00000)
#define IW_TLE         (0x85d00000)
#define IW_TLEU        (0x89d00000)
#define IW_TN          (0x81d00000)
#define IW_TNE         (0x93d00000)
#define IW_TNEG        (0x8dd00000)
#define IW_TPOSZ       (0x9dd00000)
#define IW_TSUBCC      (0x81080000)
#define IW_TSUBCCTV    (0x81180000)
#define IW_TVC         (0x9fd00000)
#define IW_TVS         (0x8fd00000)
#define IW_UDIV        (0x80700000)
#define IW_UDIVCC      (0x80f00000)
#define IW_UDIVX       (0x80680000)
#define IW_UMUL        (0x80500000)
#define IW_UMULCC      (0x80d00000)
#define IW_UMULXCC     (0x80c80000)
#define IW_WRASI       (0x87800000)
#define IW_WRASR       (0x81800000)
#define IW_WRCCR       (0x85800000)
#define IW_WRFPRS      (0x8d800000)
#define IW_WRPR        (0x81900000)
#define IW_WRY         (0x81800000)
#define IW_XNOR        (0x80380000)
#define IW_XNORCC      (0x80b80000)
#define IW_XOR         (0x80180000)
#define IW_XORCC       (0x80980000)

#define iw_isadd(i)         (((((i) >> 19) & 0x183f) == 0x1000))
#define iw_isaddc(i)        (((((i) >> 19) & 0x183f) == 0x1008))
#define iw_isaddcc(i)       (((((i) >> 19) & 0x183f) == 0x1010))
#define iw_isaddccc(i)      (((((i) >> 19) & 0x183f) == 0x1018))
#define iw_isalignaddr(i)   ((((i) & 0xc1f83fe0) == 0x81b00300))
#define iw_isalignaddrl(i)  ((((i) & 0xc1f83fe0) == 0x81b00340))
#define iw_isand(i)         (((((i) >> 19) & 0x183f) == 0x1001))
#define iw_isandcc(i)       (((((i) >> 19) & 0x183f) == 0x1011))
#define iw_isandn(i)        (((((i) >> 19) & 0x183f) == 0x1005))
#define iw_isandncc(i)      (((((i) >> 19) & 0x183f) == 0x1015))
#define iw_isarray16(i)     ((((i) & 0xc1f83fe0) == 0x81b00240))
#define iw_isarray32(i)     ((((i) & 0xc1f83fe0) == 0x81b00280))
#define iw_isarray8(i)      ((((i) & 0xc1f83fe0) == 0x81b00200))
#define iw_isba(i)          (((i) >> 22 == 0x42))
#define iw_isbaa(i)         (((i) >> 22 == 0xc2))
#define iw_isbcc(i)         (((i) >> 22 == 0x6a))
#define iw_isbcca(i)        (((i) >> 22 == 0xea))
#define iw_isbcs(i)         (((i) >> 22 == 0x2a))
#define iw_isbcsa(i)        (((i) >> 22 == 0xaa))
#define iw_isbe(i)          (((i) >> 22 == 0xa))
#define iw_isbea(i)         (((i) >> 22 == 0x8a))
#define iw_isbg(i)          (((i) >> 22 == 0x52))
#define iw_isbga(i)         (((i) >> 22 == 0xd2))
#define iw_isbge(i)         (((i) >> 22 == 0x5a))
#define iw_isbgea(i)        (((i) >> 22 == 0xda))
#define iw_isbgu(i)         (((i) >> 22 == 0x62))
#define iw_isbgua(i)        (((i) >> 22 == 0xe2))
#define iw_isbl(i)          (((i) >> 22 == 0x1a))
#define iw_isbla(i)         (((i) >> 22 == 0x9a))
#define iw_isble(i)         (((i) >> 22 == 0x12))
#define iw_isblea(i)        (((i) >> 22 == 0x92))
#define iw_isbleu(i)        (((i) >> 22 == 0x22))
#define iw_isbleua(i)       (((i) >> 22 == 0xa2))
#define iw_isbn(i)          (((i) >> 22 == 0x2))
#define iw_isbna(i)         (((i) >> 22 == 0x82))
#define iw_isbne(i)         (((i) >> 22 == 0x4a))
#define iw_isbnea(i)        (((i) >> 22 == 0xca))
#define iw_isbneg(i)        (((i) >> 22 == 0x32))
#define iw_isbnega(i)       (((i) >> 22 == 0xb2))
#define iw_isbpaapn(i)      (((((i) >> 19) & 0x1ff9) == 0x608))
#define iw_isbpaapt(i)      (((((i) >> 19) & 0x1ff9) == 0x609))
#define iw_isbpapn(i)       (((((i) >> 19) & 0x1ff9) == 0x208))
#define iw_isbpapt(i)       (((((i) >> 19) & 0x1ff9) == 0x209))
#define iw_isbpccapn(i)     (((((i) >> 19) & 0x1ff9) == 0x748))
#define iw_isbpccapt(i)     (((((i) >> 19) & 0x1ff9) == 0x749))
#define iw_isbpccpn(i)      (((((i) >> 19) & 0x1ff9) == 0x348))
#define iw_isbpccpt(i)      (((((i) >> 19) & 0x1ff9) == 0x349))
#define iw_isbpcsapn(i)     (((((i) >> 19) & 0x1ff9) == 0x548))
#define iw_isbpcsapt(i)     (((((i) >> 19) & 0x1ff9) == 0x549))
#define iw_isbpcspn(i)      (((((i) >> 19) & 0x1ff9) == 0x148))
#define iw_isbpcspt(i)      (((((i) >> 19) & 0x1ff9) == 0x149))
#define iw_isbpeapn(i)      (((((i) >> 19) & 0x1ff9) == 0x448))
#define iw_isbpeapt(i)      (((((i) >> 19) & 0x1ff9) == 0x449))
#define iw_isbpepn(i)       (((((i) >> 19) & 0x1ff9) == 0x48))
#define iw_isbpept(i)       (((((i) >> 19) & 0x1ff9) == 0x49))
#define iw_isbpgapn(i)      (((((i) >> 19) & 0x1ff9) == 0x688))
#define iw_isbpgapt(i)      (((((i) >> 19) & 0x1ff9) == 0x689))
#define iw_isbpgpn(i)       (((((i) >> 19) & 0x1ff9) == 0x288))
#define iw_isbpgpt(i)       (((((i) >> 19) & 0x1ff9) == 0x289))
#define iw_isbpgeapn(i)     (((((i) >> 19) & 0x1ff9) == 0x6c8))
#define iw_isbpgeapt(i)     (((((i) >> 19) & 0x1ff9) == 0x6c9))
#define iw_isbpgepn(i)      (((((i) >> 19) & 0x1ff9) == 0x2c8))
#define iw_isbpgept(i)      (((((i) >> 19) & 0x1ff9) == 0x2c9))
#define iw_isbpguapn(i)     (((((i) >> 19) & 0x1ff9) == 0x708))
#define iw_isbpguapt(i)     (((((i) >> 19) & 0x1ff9) == 0x709))
#define iw_isbpgupn(i)      (((((i) >> 19) & 0x1ff9) == 0x308))
#define iw_isbpgupt(i)      (((((i) >> 19) & 0x1ff9) == 0x309))
#define iw_isbplapn(i)      (((((i) >> 19) & 0x1ff9) == 0x4c8))
#define iw_isbplapt(i)      (((((i) >> 19) & 0x1ff9) == 0x4c9))
#define iw_isbplpn(i)       (((((i) >> 19) & 0x1ff9) == 0xc8))
#define iw_isbplpt(i)       (((((i) >> 19) & 0x1ff9) == 0xc9))
#define iw_isbpleapn(i)     (((((i) >> 19) & 0x1ff9) == 0x488))
#define iw_isbpleapt(i)     (((((i) >> 19) & 0x1ff9) == 0x489))
#define iw_isbplepn(i)      (((((i) >> 19) & 0x1ff9) == 0x88))
#define iw_isbplept(i)      (((((i) >> 19) & 0x1ff9) == 0x89))
#define iw_isbpleuapn(i)    (((((i) >> 19) & 0x1ff9) == 0x508))
#define iw_isbpleuapt(i)    (((((i) >> 19) & 0x1ff9) == 0x509))
#define iw_isbpleupn(i)     (((((i) >> 19) & 0x1ff9) == 0x108))
#define iw_isbpleupt(i)     (((((i) >> 19) & 0x1ff9) == 0x109))
#define iw_isbpnapn(i)      (((((i) >> 19) & 0x1ff9) == 0x408))
#define iw_isbpnapt(i)      (((((i) >> 19) & 0x1ff9) == 0x409))
#define iw_isbpnpn(i)       (((((i) >> 19) & 0x1ff9) == 0x8))
#define iw_isbpnpt(i)       (((((i) >> 19) & 0x1ff9) == 0x9))
#define iw_isbpneapn(i)     (((((i) >> 19) & 0x1ff9) == 0x648))
#define iw_isbpneapt(i)     (((((i) >> 19) & 0x1ff9) == 0x649))
#define iw_isbpnepn(i)      (((((i) >> 19) & 0x1ff9) == 0x248))
#define iw_isbpnept(i)      (((((i) >> 19) & 0x1ff9) == 0x249))
#define iw_isbpnegapn(i)    (((((i) >> 19) & 0x1ff9) == 0x588))
#define iw_isbpnegapt(i)    (((((i) >> 19) & 0x1ff9) == 0x589))
#define iw_isbpnegpn(i)     (((((i) >> 19) & 0x1ff9) == 0x188))
#define iw_isbpnegpt(i)     (((((i) >> 19) & 0x1ff9) == 0x189))
#define iw_isbpos(i)        (((i) >> 22 == 0x72))
#define iw_isbposa(i)       (((i) >> 22 == 0xf2))
#define iw_isbpposapn(i)    (((((i) >> 19) & 0x1ff9) == 0x788))
#define iw_isbpposapt(i)    (((((i) >> 19) & 0x1ff9) == 0x789))
#define iw_isbppospn(i)     (((((i) >> 19) & 0x1ff9) == 0x388))
#define iw_isbppospt(i)     (((((i) >> 19) & 0x1ff9) == 0x389))
#define iw_isbpvcapn(i)     (((((i) >> 19) & 0x1ff9) == 0x7c8))
#define iw_isbpvcapt(i)     (((((i) >> 19) & 0x1ff9) == 0x7c9))
#define iw_isbpvcpn(i)      (((((i) >> 19) & 0x1ff9) == 0x3c8))
#define iw_isbpvcpt(i)      (((((i) >> 19) & 0x1ff9) == 0x3c9))
#define iw_isbpvsapn(i)     (((((i) >> 19) & 0x1ff9) == 0x5c8))
#define iw_isbpvsapt(i)     (((((i) >> 19) & 0x1ff9) == 0x5c9))
#define iw_isbpvspn(i)      (((((i) >> 19) & 0x1ff9) == 0x1c8))
#define iw_isbpvspt(i)      (((((i) >> 19) & 0x1ff9) == 0x1c9))
#define iw_isbrgezapn(i)    (((((i) >> 19) & 0x1ff9) == 0x5d8))
#define iw_isbrgezapt(i)    (((((i) >> 19) & 0x1ff9) == 0x5d9))
#define iw_isbrgezpn(i)     (((((i) >> 19) & 0x1ff9) == 0x1d8))
#define iw_isbrgezpt(i)     (((((i) >> 19) & 0x1ff9) == 0x1d9))
#define iw_isbrgzapn(i)     (((((i) >> 19) & 0x1ff9) == 0x598))
#define iw_isbrgzapt(i)     (((((i) >> 19) & 0x1ff9) == 0x599))
#define iw_isbrgzpn(i)      (((((i) >> 19) & 0x1ff9) == 0x198))
#define iw_isbrgzpt(i)      (((((i) >> 19) & 0x1ff9) == 0x199))
#define iw_isbrlezapn(i)    (((((i) >> 19) & 0x1ff9) == 0x498))
#define iw_isbrlezapt(i)    (((((i) >> 19) & 0x1ff9) == 0x499))
#define iw_isbrlezpn(i)     (((((i) >> 19) & 0x1ff9) == 0x98))
#define iw_isbrlezpt(i)     (((((i) >> 19) & 0x1ff9) == 0x99))
#define iw_isbrlzapn(i)     (((((i) >> 19) & 0x1ff9) == 0x4d8))
#define iw_isbrlzapt(i)     (((((i) >> 19) & 0x1ff9) == 0x4d9))
#define iw_isbrlzpn(i)      (((((i) >> 19) & 0x1ff9) == 0xd8))
#define iw_isbrlzpt(i)      (((((i) >> 19) & 0x1ff9) == 0xd9))
#define iw_isbrnzapn(i)     (((((i) >> 19) & 0x1ff9) == 0x558))
#define iw_isbrnzapt(i)     (((((i) >> 19) & 0x1ff9) == 0x559))
#define iw_isbrnzpn(i)      (((((i) >> 19) & 0x1ff9) == 0x158))
#define iw_isbrnzpt(i)      (((((i) >> 19) & 0x1ff9) == 0x159))
#define iw_isbrzapn(i)      (((((i) >> 19) & 0x1ff9) == 0x458))
#define iw_isbrzapt(i)      (((((i) >> 19) & 0x1ff9) == 0x459))
#define iw_isbrzpn(i)       (((((i) >> 19) & 0x1ff9) == 0x58))
#define iw_isbrzpt(i)       (((((i) >> 19) & 0x1ff9) == 0x59))
#define iw_isbvc(i)         (((i) >> 22 == 0x7a))
#define iw_isbvca(i)        (((i) >> 22 == 0xfa))
#define iw_isbvs(i)         (((i) >> 22 == 0x3a))
#define iw_isbvsa(i)        (((i) >> 22 == 0xba))
#define iw_iscall(i)        (((i) >> 30 == 0x1))
#define iw_iscasa(i)        (((((i) >> 19) & 0x183f) == 0x183c))
#define iw_iscasxa(i)       (((((i) >> 19) & 0x183f) == 0x183e))
#define iw_isdone(i)        (((i) >> 19 == 0x103e))
#define iw_isedge16(i)      ((((i) & 0xc1f83fe0) == 0x81b00080))
#define iw_isedge16l(i)     ((((i) & 0xc1f83fe0) == 0x81b000c0))
#define iw_isedge32(i)      ((((i) & 0xc1f83fe0) == 0x81b00100))
#define iw_isedge32l(i)     ((((i) & 0xc1f83fe0) == 0x81b00140))
#define iw_isedge8(i)       ((((i) & 0xc1f83fe0) == 0x81b00000))
#define iw_isedge8l(i)      ((((i) & 0xc1f83fe0) == 0x81b00040))
#define iw_isfabsd(i)       ((((i) & 0xc1f83fe0) == 0x81a00140))
#define iw_isfabsq(i)       ((((i) & 0xc1f83fe0) == 0x81a00160))
#define iw_isfabss(i)       ((((i) & 0xc1f83fe0) == 0x81a00120))
#define iw_isfaddd(i)       ((((i) & 0xc1f83fe0) == 0x81a00840))
#define iw_isfaddq(i)       ((((i) & 0xc1f83fe0) == 0x81a00860))
#define iw_isfadds(i)       ((((i) & 0xc1f83fe0) == 0x81a00820))
#define iw_isfaligndata(i)  ((((i) & 0xc1f83fe0) == 0x81b00900))
#define iw_isfand(i)        ((((i) & 0xc1f83fe0) == 0x81b00e00))
#define iw_isfandnot1(i)    ((((i) & 0xc1f83fe0) == 0x81b00d00))
#define iw_isfandnot1s(i)   ((((i) & 0xc1f83fe0) == 0x81b00d20))
#define iw_isfandnot2(i)    ((((i) & 0xc1f83fe0) == 0x81b00c80))
#define iw_isfandnot2s(i)   ((((i) & 0xc1f83fe0) == 0x81b00ca0))
#define iw_isfands(i)       ((((i) & 0xc1f83fe0) == 0x81b00e20))
#define iw_isfba(i)         (((i) >> 22 == 0x46))
#define iw_isfbaa(i)        (((i) >> 22 == 0xc6))
#define iw_isfbe(i)         (((i) >> 22 == 0x4e))
#define iw_isfbea(i)        (((i) >> 22 == 0xce))
#define iw_isfbg(i)         (((i) >> 22 == 0x36))
#define iw_isfbga(i)        (((i) >> 22 == 0xb6))
#define iw_isfbge(i)        (((i) >> 22 == 0x5e))
#define iw_isfbgea(i)       (((i) >> 22 == 0xde))
#define iw_isfbl(i)         (((i) >> 22 == 0x26))
#define iw_isfbla(i)        (((i) >> 22 == 0xa6))
#define iw_isfble(i)        (((i) >> 22 == 0x6e))
#define iw_isfblea(i)       (((i) >> 22 == 0xee))
#define iw_isfblg(i)        (((i) >> 22 == 0x16))
#define iw_isfblga(i)       (((i) >> 22 == 0x96))
#define iw_isfbn(i)         (((i) >> 22 == 0x6))
#define iw_isfbna(i)        (((i) >> 22 == 0x86))
#define iw_isfbne(i)        (((i) >> 22 == 0xe))
#define iw_isfbnea(i)       (((i) >> 22 == 0x8e))
#define iw_isfbo(i)         (((i) >> 22 == 0x7e))
#define iw_isfboa(i)        (((i) >> 22 == 0xfe))
#define iw_isfbpaapn(i)     (((((i) >> 19) & 0x1ff9) == 0x628))
#define iw_isfbpaapt(i)     (((((i) >> 19) & 0x1ff9) == 0x629))
#define iw_isfbpapn(i)      (((((i) >> 19) & 0x1ff9) == 0x228))
#define iw_isfbpapt(i)      (((((i) >> 19) & 0x1ff9) == 0x229))
#define iw_isfbpeapn(i)     (((((i) >> 19) & 0x1ff9) == 0x668))
#define iw_isfbpeapt(i)     (((((i) >> 19) & 0x1ff9) == 0x669))
#define iw_isfbpepn(i)      (((((i) >> 19) & 0x1ff9) == 0x268))
#define iw_isfbpept(i)      (((((i) >> 19) & 0x1ff9) == 0x269))
#define iw_isfbpgapn(i)     (((((i) >> 19) & 0x1ff9) == 0x5a8))
#define iw_isfbpgapt(i)     (((((i) >> 19) & 0x1ff9) == 0x5a9))
#define iw_isfbpgpn(i)      (((((i) >> 19) & 0x1ff9) == 0x1a8))
#define iw_isfbpgpt(i)      (((((i) >> 19) & 0x1ff9) == 0x1a9))
#define iw_isfbpgeapn(i)    (((((i) >> 19) & 0x1ff9) == 0x6e8))
#define iw_isfbpgeapt(i)    (((((i) >> 19) & 0x1ff9) == 0x6e9))
#define iw_isfbpgepn(i)     (((((i) >> 19) & 0x1ff9) == 0x2e8))
#define iw_isfbpgept(i)     (((((i) >> 19) & 0x1ff9) == 0x2e9))
#define iw_isfbplapn(i)     (((((i) >> 19) & 0x1ff9) == 0x528))
#define iw_isfbplapt(i)     (((((i) >> 19) & 0x1ff9) == 0x529))
#define iw_isfbplpn(i)      (((((i) >> 19) & 0x1ff9) == 0x128))
#define iw_isfbplpt(i)      (((((i) >> 19) & 0x1ff9) == 0x129))
#define iw_isfbpleapn(i)    (((((i) >> 19) & 0x1ff9) == 0x768))
#define iw_isfbpleapt(i)    (((((i) >> 19) & 0x1ff9) == 0x769))
#define iw_isfbplepn(i)     (((((i) >> 19) & 0x1ff9) == 0x368))
#define iw_isfbplept(i)     (((((i) >> 19) & 0x1ff9) == 0x369))
#define iw_isfbplgapn(i)    (((((i) >> 19) & 0x1ff9) == 0x4a8))
#define iw_isfbplgapt(i)    (((((i) >> 19) & 0x1ff9) == 0x4a9))
#define iw_isfbplgpn(i)     (((((i) >> 19) & 0x1ff9) == 0xa8))
#define iw_isfbplgpt(i)     (((((i) >> 19) & 0x1ff9) == 0xa9))
#define iw_isfbpnapn(i)     (((((i) >> 19) & 0x1ff9) == 0x428))
#define iw_isfbpnapt(i)     (((((i) >> 19) & 0x1ff9) == 0x429))
#define iw_isfbpnpn(i)      (((((i) >> 19) & 0x1ff9) == 0x28))
#define iw_isfbpnpt(i)      (((((i) >> 19) & 0x1ff9) == 0x29))
#define iw_isfbpneapn(i)    (((((i) >> 19) & 0x1ff9) == 0x468))
#define iw_isfbpneapt(i)    (((((i) >> 19) & 0x1ff9) == 0x469))
#define iw_isfbpnepn(i)     (((((i) >> 19) & 0x1ff9) == 0x68))
#define iw_isfbpnept(i)     (((((i) >> 19) & 0x1ff9) == 0x69))
#define iw_isfbpoapn(i)     (((((i) >> 19) & 0x1ff9) == 0x7e8))
#define iw_isfbpoapt(i)     (((((i) >> 19) & 0x1ff9) == 0x7e9))
#define iw_isfbpopn(i)      (((((i) >> 19) & 0x1ff9) == 0x3e8))
#define iw_isfbpopt(i)      (((((i) >> 19) & 0x1ff9) == 0x3e9))
#define iw_isfbpuapn(i)     (((((i) >> 19) & 0x1ff9) == 0x5e8))
#define iw_isfbpuapt(i)     (((((i) >> 19) & 0x1ff9) == 0x5e9))
#define iw_isfbpupn(i)      (((((i) >> 19) & 0x1ff9) == 0x1e8))
#define iw_isfbpupt(i)      (((((i) >> 19) & 0x1ff9) == 0x1e9))
#define iw_isfbpueapn(i)    (((((i) >> 19) & 0x1ff9) == 0x6a8))
#define iw_isfbpueapt(i)    (((((i) >> 19) & 0x1ff9) == 0x6a9))
#define iw_isfbpuepn(i)     (((((i) >> 19) & 0x1ff9) == 0x2a8))
#define iw_isfbpuept(i)     (((((i) >> 19) & 0x1ff9) == 0x2a9))
#define iw_isfbpugapn(i)    (((((i) >> 19) & 0x1ff9) == 0x568))
#define iw_isfbpugapt(i)    (((((i) >> 19) & 0x1ff9) == 0x569))
#define iw_isfbpugpn(i)     (((((i) >> 19) & 0x1ff9) == 0x168))
#define iw_isfbpugpt(i)     (((((i) >> 19) & 0x1ff9) == 0x169))
#define iw_isfbpugeapn(i)   (((((i) >> 19) & 0x1ff9) == 0x728))
#define iw_isfbpugeapt(i)   (((((i) >> 19) & 0x1ff9) == 0x729))
#define iw_isfbpugepn(i)    (((((i) >> 19) & 0x1ff9) == 0x328))
#define iw_isfbpugept(i)    (((((i) >> 19) & 0x1ff9) == 0x329))
#define iw_isfbpulapn(i)    (((((i) >> 19) & 0x1ff9) == 0x4e8))
#define iw_isfbpulapt(i)    (((((i) >> 19) & 0x1ff9) == 0x4e9))
#define iw_isfbpulpn(i)     (((((i) >> 19) & 0x1ff9) == 0xe8))
#define iw_isfbpulpt(i)     (((((i) >> 19) & 0x1ff9) == 0xe9))
#define iw_isfbpuleapn(i)   (((((i) >> 19) & 0x1ff9) == 0x7a8))
#define iw_isfbpuleapt(i)   (((((i) >> 19) & 0x1ff9) == 0x7a9))
#define iw_isfbpulepn(i)    (((((i) >> 19) & 0x1ff9) == 0x3a8))
#define iw_isfbpulept(i)    (((((i) >> 19) & 0x1ff9) == 0x3a9))
#define iw_isfbu(i)         (((i) >> 22 == 0x3e))
#define iw_isfbua(i)        (((i) >> 22 == 0xbe))
#define iw_isfbue(i)        (((i) >> 22 == 0x56))
#define iw_isfbuea(i)       (((i) >> 22 == 0xd6))
#define iw_isfbug(i)        (((i) >> 22 == 0x2e))
#define iw_isfbuga(i)       (((i) >> 22 == 0xae))
#define iw_isfbuge(i)       (((i) >> 22 == 0x66))
#define iw_isfbugea(i)      (((i) >> 22 == 0xe6))
#define iw_isfbul(i)        (((i) >> 22 == 0x1e))
#define iw_isfbula(i)       (((i) >> 22 == 0x9e))
#define iw_isfbule(i)       (((i) >> 22 == 0x76))
#define iw_isfbulea(i)      (((i) >> 22 == 0xf6))
#define iw_isfcmpd(i)       ((((i) & 0xf9f83fe0) == 0x81a80a40))
#define iw_isfcmped(i)      ((((i) & 0xf9f83fe0) == 0x81a80ac0))
#define iw_isfcmpeq(i)      ((((i) & 0xf9f83fe0) == 0x81a80ae0))
#define iw_isfcmpeq16(i)    ((((i) & 0xc1f83fe0) == 0x81b00540))
#define iw_isfcmpeq32(i)    ((((i) & 0xc1f83fe0) == 0x81b005c0))
#define iw_isfcmpes(i)      ((((i) & 0xf9f83fe0) == 0x81a80aa0))
#define iw_isfcmpgt16(i)    ((((i) & 0xc1f83fe0) == 0x81b00500))
#define iw_isfcmpgt32(i)    ((((i) & 0xc1f83fe0) == 0x81b00580))
#define iw_isfcmple16(i)    ((((i) & 0xc1f83fe0) == 0x81b00400))
#define iw_isfcmple32(i)    ((((i) & 0xc1f83fe0) == 0x81b00480))
#define iw_isfcmpne16(i)    ((((i) & 0xc1f83fe0) == 0x81b00440))
#define iw_isfcmpne32(i)    ((((i) & 0xc1f83fe0) == 0x81b004c0))
#define iw_isfcmpq(i)       ((((i) & 0xf9f83fe0) == 0x81a80a60))
#define iw_isfcmps(i)       ((((i) & 0xf9f83fe0) == 0x81a80a20))
#define iw_isfdivd(i)       ((((i) & 0xc1f83fe0) == 0x81a009c0))
#define iw_isfdivq(i)       ((((i) & 0xc1f83fe0) == 0x81a009e0))
#define iw_isfdivs(i)       ((((i) & 0xc1f83fe0) == 0x81a009a0))
#define iw_isfdmulq(i)      ((((i) & 0xc1f83fe0) == 0x81a00dc0))
#define iw_isfdtoi(i)       ((((i) & 0xc1f83fe0) == 0x81a01a40))
#define iw_isfdtoq(i)       ((((i) & 0xc1f83fe0) == 0x81a019c0))
#define iw_isfdtos(i)       ((((i) & 0xc1f83fe0) == 0x81a018c0))
#define iw_isfdtox(i)       ((((i) & 0xc1f83fe0) == 0x81a01040))
#define iw_isfexpand(i)     ((((i) & 0xc1f83fe0) == 0x81b009a0))
#define iw_isfitod(i)       ((((i) & 0xc1f83fe0) == 0x81a01900))
#define iw_isfitoq(i)       ((((i) & 0xc1f83fe0) == 0x81a01980))
#define iw_isfitos(i)       ((((i) & 0xc1f83fe0) == 0x81a01880))
#define iw_isflush(i)       (((((i) >> 19) & 0x183f) == 0x103b))
#define iw_isflushw(i)      (((((i) >> 19) & 0x183f) == 0x102b))
#define iw_isfmovd(i)       ((((i) & 0xc1f83fe0) == 0x81a00040))
#define iw_isfmovda(i)      ((((i) & 0xc1fbe7e0) == 0x81aa2040))
#define iw_isfmovdcc(i)     ((((i) & 0xc1fbe7e0) == 0x81ab6040))
#define iw_isfmovdcs(i)     ((((i) & 0xc1fbe7e0) == 0x81a96040))
#define iw_isfmovde(i)      ((((i) & 0xc1fbe7e0) == 0x81a86040))
#define iw_isfmovdfa(i)     ((((i) & 0xc1fbe7e0) == 0x81aa0040))
#define iw_isfmovdfe(i)     ((((i) & 0xc1fbe7e0) == 0x81aa4040))
#define iw_isfmovdfg(i)     ((((i) & 0xc1fbe7e0) == 0x81a98040))
#define iw_isfmovdfge(i)    ((((i) & 0xc1fbe7e0) == 0x81aac040))
#define iw_isfmovdfl(i)     ((((i) & 0xc1fbe7e0) == 0x81a90040))
#define iw_isfmovdfle(i)    ((((i) & 0xc1fbe7e0) == 0x81ab4040))
#define iw_isfmovdflg(i)    ((((i) & 0xc1fbe7e0) == 0x81a88040))
#define iw_isfmovdfn(i)     ((((i) & 0xc1fbe7e0) == 0x81a80040))
#define iw_isfmovdfne(i)    ((((i) & 0xc1fbe7e0) == 0x81a84040))
#define iw_isfmovdfo(i)     ((((i) & 0xc1fbe7e0) == 0x81abc040))
#define iw_isfmovdfu(i)     ((((i) & 0xc1fbe7e0) == 0x81a9c040))
#define iw_isfmovdfue(i)    ((((i) & 0xc1fbe7e0) == 0x81aa8040))
#define iw_isfmovdfug(i)    ((((i) & 0xc1fbe7e0) == 0x81a94040))
#define iw_isfmovdfuge(i)   ((((i) & 0xc1fbe7e0) == 0x81ab0040))
#define iw_isfmovdful(i)    ((((i) & 0xc1fbe7e0) == 0x81a8c040))
#define iw_isfmovdfule(i)   ((((i) & 0xc1fbe7e0) == 0x81ab8040))
#define iw_isfmovdg(i)      ((((i) & 0xc1fbe7e0) == 0x81aaa040))
#define iw_isfmovdge(i)     ((((i) & 0xc1fbe7e0) == 0x81aae040))
#define iw_isfmovdgu(i)     ((((i) & 0xc1fbe7e0) == 0x81ab2040))
#define iw_isfmovdl(i)      ((((i) & 0xc1fbe7e0) == 0x81a8e040))
#define iw_isfmovdle(i)     ((((i) & 0xc1fbe7e0) == 0x81a8a040))
#define iw_isfmovdleu(i)    ((((i) & 0xc1fbe7e0) == 0x81a92040))
#define iw_isfmovdn(i)      ((((i) & 0xc1fbe7e0) == 0x81a82040))
#define iw_isfmovdne(i)     ((((i) & 0xc1fbe7e0) == 0x81aa6040))
#define iw_isfmovdneg(i)    ((((i) & 0xc1fbe7e0) == 0x81a9a040))
#define iw_isfmovdpos(i)    ((((i) & 0xc1fbe7e0) == 0x81aba040))
#define iw_isfmovdvc(i)     ((((i) & 0xc1fbe7e0) == 0x81abe040))
#define iw_isfmovdvs(i)     ((((i) & 0xc1fbe7e0) == 0x81a9e040))
#define iw_isfmovq(i)       ((((i) & 0xc1f83fe0) == 0x81a00060))
#define iw_isfmovqa(i)      ((((i) & 0xc1fbe7e0) == 0x81aa2060))
#define iw_isfmovqcc(i)     ((((i) & 0xc1fbe7e0) == 0x81ab6060))
#define iw_isfmovqcs(i)     ((((i) & 0xc1fbe7e0) == 0x81a96060))
#define iw_isfmovqe(i)      ((((i) & 0xc1fbe7e0) == 0x81a86060))
#define iw_isfmovqfa(i)     ((((i) & 0xc1fbe7e0) == 0x81aa0060))
#define iw_isfmovqfe(i)     ((((i) & 0xc1fbe7e0) == 0x81aa4060))
#define iw_isfmovqfg(i)     ((((i) & 0xc1fbe7e0) == 0x81a98060))
#define iw_isfmovqfge(i)    ((((i) & 0xc1fbe7e0) == 0x81aac060))
#define iw_isfmovqfl(i)     ((((i) & 0xc1fbe7e0) == 0x81a90060))
#define iw_isfmovqfle(i)    ((((i) & 0xc1fbe7e0) == 0x81ab4060))
#define iw_isfmovqflg(i)    ((((i) & 0xc1fbe7e0) == 0x81a88060))
#define iw_isfmovqfn(i)     ((((i) & 0xc1fbe7e0) == 0x81a80060))
#define iw_isfmovqfne(i)    ((((i) & 0xc1fbe7e0) == 0x81a84060))
#define iw_isfmovqfo(i)     ((((i) & 0xc1fbe7e0) == 0x81abc060))
#define iw_isfmovqfu(i)     ((((i) & 0xc1fbe7e0) == 0x81a9c060))
#define iw_isfmovqfue(i)    ((((i) & 0xc1fbe7e0) == 0x81aa8060))
#define iw_isfmovqfug(i)    ((((i) & 0xc1fbe7e0) == 0x81a94060))
#define iw_isfmovqfuge(i)   ((((i) & 0xc1fbe7e0) == 0x81ab0060))
#define iw_isfmovqful(i)    ((((i) & 0xc1fbe7e0) == 0x81a8c060))
#define iw_isfmovqfule(i)   ((((i) & 0xc1fbe7e0) == 0x81ab8060))
#define iw_isfmovqg(i)      ((((i) & 0xc1fbe7e0) == 0x81aaa060))
#define iw_isfmovqge(i)     ((((i) & 0xc1fbe7e0) == 0x81aae060))
#define iw_isfmovqgu(i)     ((((i) & 0xc1fbe7e0) == 0x81ab2060))
#define iw_isfmovql(i)      ((((i) & 0xc1fbe7e0) == 0x81a8e060))
#define iw_isfmovqle(i)     ((((i) & 0xc1fbe7e0) == 0x81a8a060))
#define iw_isfmovqleu(i)    ((((i) & 0xc1fbe7e0) == 0x81a92060))
#define iw_isfmovqn(i)      ((((i) & 0xc1fbe7e0) == 0x81a82060))
#define iw_isfmovqne(i)     ((((i) & 0xc1fbe7e0) == 0x81aa6060))
#define iw_isfmovqneg(i)    ((((i) & 0xc1fbe7e0) == 0x81a9a060))
#define iw_isfmovqpos(i)    ((((i) & 0xc1fbe7e0) == 0x81aba060))
#define iw_isfmovqvc(i)     ((((i) & 0xc1fbe7e0) == 0x81abe060))
#define iw_isfmovqvs(i)     ((((i) & 0xc1fbe7e0) == 0x81a9e060))
#define iw_isfmovrdgez(i)   ((((i) & 0xc1f83fe0) == 0x81a81cc0))
#define iw_isfmovrdgz(i)    ((((i) & 0xc1f83fe0) == 0x81a818c0))
#define iw_isfmovrdlez(i)   ((((i) & 0xc1f83fe0) == 0x81a808c0))
#define iw_isfmovrdlz(i)    ((((i) & 0xc1f83fe0) == 0x81a80cc0))
#define iw_isfmovrdnz(i)    ((((i) & 0xc1f83fe0) == 0x81a814c0))
#define iw_isfmovrdz(i)     ((((i) & 0xc1f83fe0) == 0x81a804c0))
#define iw_isfmovrqgez(i)   ((((i) & 0xc1f83fe0) == 0x81a81ce0))
#define iw_isfmovrqgz(i)    ((((i) & 0xc1f83fe0) == 0x81a818e0))
#define iw_isfmovrqlez(i)   ((((i) & 0xc1f83fe0) == 0x81a808e0))
#define iw_isfmovrqlz(i)    ((((i) & 0xc1f83fe0) == 0x81a80ce0))
#define iw_isfmovrqnz(i)    ((((i) & 0xc1f83fe0) == 0x81a814e0))
#define iw_isfmovrqz(i)     ((((i) & 0xc1f83fe0) == 0x81a804e0))
#define iw_isfmovrsgez(i)   ((((i) & 0xc1f83fe0) == 0x81a81ca0))
#define iw_isfmovrsgz(i)    ((((i) & 0xc1f83fe0) == 0x81a818a0))
#define iw_isfmovrslez(i)   ((((i) & 0xc1f83fe0) == 0x81a808a0))
#define iw_isfmovrslz(i)    ((((i) & 0xc1f83fe0) == 0x81a80ca0))
#define iw_isfmovrsnz(i)    ((((i) & 0xc1f83fe0) == 0x81a814a0))
#define iw_isfmovrsz(i)     ((((i) & 0xc1f83fe0) == 0x81a804a0))
#define iw_isfmovs(i)       ((((i) & 0xc1f83fe0) == 0x81a00020))
#define iw_isfmovsa(i)      ((((i) & 0xc1fbe7e0) == 0x81aa2020))
#define iw_isfmovscc(i)     ((((i) & 0xc1fbe7e0) == 0x81ab6020))
#define iw_isfmovscs(i)     ((((i) & 0xc1fbe7e0) == 0x81a96020))
#define iw_isfmovse(i)      ((((i) & 0xc1fbe7e0) == 0x81a86020))
#define iw_isfmovsfa(i)     ((((i) & 0xc1fbe7e0) == 0x81aa0020))
#define iw_isfmovsfe(i)     ((((i) & 0xc1fbe7e0) == 0x81aa4020))
#define iw_isfmovsfg(i)     ((((i) & 0xc1fbe7e0) == 0x81a98020))
#define iw_isfmovsfge(i)    ((((i) & 0xc1fbe7e0) == 0x81aac020))
#define iw_isfmovsfl(i)     ((((i) & 0xc1fbe7e0) == 0x81a90020))
#define iw_isfmovsfle(i)    ((((i) & 0xc1fbe7e0) == 0x81ab4020))
#define iw_isfmovsflg(i)    ((((i) & 0xc1fbe7e0) == 0x81a88020))
#define iw_isfmovsfn(i)     ((((i) & 0xc1fbe7e0) == 0x81a80020))
#define iw_isfmovsfne(i)    ((((i) & 0xc1fbe7e0) == 0x81a84020))
#define iw_isfmovsfo(i)     ((((i) & 0xc1fbe7e0) == 0x81abc020))
#define iw_isfmovsfu(i)     ((((i) & 0xc1fbe7e0) == 0x81a9c020))
#define iw_isfmovsfue(i)    ((((i) & 0xc1fbe7e0) == 0x81aa8020))
#define iw_isfmovsfug(i)    ((((i) & 0xc1fbe7e0) == 0x81a94020))
#define iw_isfmovsfuge(i)   ((((i) & 0xc1fbe7e0) == 0x81ab0020))
#define iw_isfmovsful(i)    ((((i) & 0xc1fbe7e0) == 0x81a8c020))
#define iw_isfmovsfule(i)   ((((i) & 0xc1fbe7e0) == 0x81ab8020))
#define iw_isfmovsg(i)      ((((i) & 0xc1fbe7e0) == 0x81aaa020))
#define iw_isfmovsge(i)     ((((i) & 0xc1fbe7e0) == 0x81aae020))
#define iw_isfmovsgu(i)     ((((i) & 0xc1fbe7e0) == 0x81ab2020))
#define iw_isfmovsl(i)      ((((i) & 0xc1fbe7e0) == 0x81a8e020))
#define iw_isfmovsle(i)     ((((i) & 0xc1fbe7e0) == 0x81a8a020))
#define iw_isfmovsleu(i)    ((((i) & 0xc1fbe7e0) == 0x81a92020))
#define iw_isfmovsn(i)      ((((i) & 0xc1fbe7e0) == 0x81a82020))
#define iw_isfmovsne(i)     ((((i) & 0xc1fbe7e0) == 0x81aa6020))
#define iw_isfmovsneg(i)    ((((i) & 0xc1fbe7e0) == 0x81a9a020))
#define iw_isfmovspos(i)    ((((i) & 0xc1fbe7e0) == 0x81aba020))
#define iw_isfmovsvc(i)     ((((i) & 0xc1fbe7e0) == 0x81abe020))
#define iw_isfmovsvs(i)     ((((i) & 0xc1fbe7e0) == 0x81a9e020))
#define iw_isfmul8sux16(i)  ((((i) & 0xc1f83fe0) == 0x81b006c0))
#define iw_isfmul8ulx16(i)  ((((i) & 0xc1f83fe0) == 0x81b006e0))
#define iw_isfmul8x16(i)    ((((i) & 0xc1f83fe0) == 0x81b00620))
#define iw_isfmul8x16al(i)  ((((i) & 0xc1f83fe0) == 0x81b006a0))
#define iw_isfmul8x16au(i)  ((((i) & 0xc1f83fe0) == 0x81b00660))
#define iw_isfmuld(i)       ((((i) & 0xc1f83fe0) == 0x81a00940))
#define iw_isfmuld8sux16(i) ((((i) & 0xc1f83fe0) == 0x81b00700))
#define iw_isfmuld8ulx16(i) ((((i) & 0xc1f83fe0) == 0x81b00720))
#define iw_isfmulq(i)       ((((i) & 0xc1f83fe0) == 0x81a00960))
#define iw_isfmuls(i)       ((((i) & 0xc1f83fe0) == 0x81a00920))
#define iw_isfnand(i)       ((((i) & 0xc1f83fe0) == 0x81b00dc0))
#define iw_isfnands(i)      ((((i) & 0xc1f83fe0) == 0x81b00de0))
#define iw_isfnegd(i)       ((((i) & 0xc1f83fe0) == 0x81a000c0))
#define iw_isfnegq(i)       ((((i) & 0xc1f83fe0) == 0x81a000e0))
#define iw_isfnegs(i)       ((((i) & 0xc1f83fe0) == 0x81a000a0))
#define iw_isfnor(i)        ((((i) & 0xc1f83fe0) == 0x81b00c40))
#define iw_isfnors(i)       ((((i) & 0xc1f83fe0) == 0x81b00c60))
#define iw_isfnot1(i)       ((((i) & 0xc1f83fe0) == 0x81b00d40))
#define iw_isfnot1s(i)      ((((i) & 0xc1f83fe0) == 0x81b00d60))
#define iw_isfnot2(i)       ((((i) & 0xc1f83fe0) == 0x81b00cc0))
#define iw_isfnot2s(i)      ((((i) & 0xc1f83fe0) == 0x81b00ce0))
#define iw_isfone(i)        ((((i) & 0xc1f83fe0) == 0x81b00fc0))
#define iw_isfones(i)       ((((i) & 0xc1f83fe0) == 0x81b00fe0))
#define iw_isfor(i)         ((((i) & 0xc1f83fe0) == 0x81b00f80))
#define iw_isfornot1(i)     ((((i) & 0xc1f83fe0) == 0x81b00f40))
#define iw_isfornot1s(i)    ((((i) & 0xc1f83fe0) == 0x81b00f60))
#define iw_isfornot2(i)     ((((i) & 0xc1f83fe0) == 0x81b00ec0))
#define iw_isfornot2s(i)    ((((i) & 0xc1f83fe0) == 0x81b00ee0))
#define iw_isfors(i)        ((((i) & 0xc1f83fe0) == 0x81b00fa0))
#define iw_isfpack16(i)     ((((i) & 0xc1f83fe0) == 0x81b00760))
#define iw_isfpack32(i)     ((((i) & 0xc1f83fe0) == 0x81b00740))
#define iw_isfpackfix(i)    ((((i) & 0xc1f83fe0) == 0x81b007a0))
#define iw_isfpadd16(i)     ((((i) & 0xc1f83fe0) == 0x81b00a00))
#define iw_isfpadd16s(i)    ((((i) & 0xc1f83fe0) == 0x81b00a20))
#define iw_isfpadd32(i)     ((((i) & 0xc1f83fe0) == 0x81b00a40))
#define iw_isfpadd32s(i)    ((((i) & 0xc1f83fe0) == 0x81b00a60))
#define iw_isfpmerge(i)     ((((i) & 0xc1f83fe0) == 0x81b00960))
#define iw_isfpsub16(i)     ((((i) & 0xc1f83fe0) == 0x81b00a80))
#define iw_isfpsub16s(i)    ((((i) & 0xc1f83fe0) == 0x81b00aa0))
#define iw_isfpsub32(i)     ((((i) & 0xc1f83fe0) == 0x81b00ac0))
#define iw_isfpsub32s(i)    ((((i) & 0xc1f83fe0) == 0x81b00ae0))
#define iw_isfqtod(i)       ((((i) & 0xc1f83fe0) == 0x81a01960))
#define iw_isfqtoi(i)       ((((i) & 0xc1f83fe0) == 0x81a01a60))
#define iw_isfqtos(i)       ((((i) & 0xc1f83fe0) == 0x81a018e0))
#define iw_isfqtox(i)       ((((i) & 0xc1f83fe0) == 0x81a01060))
#define iw_isfsmuld(i)      ((((i) & 0xc1f83fe0) == 0x81a00d20))
#define iw_isfsqrtd(i)      ((((i) & 0xc1f83fe0) == 0x81a00540))
#define iw_isfsqrtq(i)      ((((i) & 0xc1f83fe0) == 0x81a00560))
#define iw_isfsqrts(i)      ((((i) & 0xc1f83fe0) == 0x81a00520))
#define iw_isfsrc1(i)       ((((i) & 0xc1f83fe0) == 0x81b00e80))
#define iw_isfsrc1s(i)      ((((i) & 0xc1f83fe0) == 0x81b00ea0))
#define iw_isfsrc2(i)       ((((i) & 0xc1f83fe0) == 0x81b00f00))
#define iw_isfsrc2s(i)      ((((i) & 0xc1f83fe0) == 0x81b00f20))
#define iw_isfstod(i)       ((((i) & 0xc1f83fe0) == 0x81a01920))
#define iw_isfstoi(i)       ((((i) & 0xc1f83fe0) == 0x81a01a20))
#define iw_isfstoq(i)       ((((i) & 0xc1f83fe0) == 0x81a019a0))
#define iw_isfstox(i)       ((((i) & 0xc1f83fe0) == 0x81a01020))
#define iw_isfsubd(i)       ((((i) & 0xc1f83fe0) == 0x81a008c0))
#define iw_isfsubq(i)       ((((i) & 0xc1f83fe0) == 0x81a008e0))
#define iw_isfsubs(i)       ((((i) & 0xc1f83fe0) == 0x81a008a0))
#define iw_isfxnor(i)       ((((i) & 0xc1f83fe0) == 0x81b00e40))
#define iw_isfxnors(i)      ((((i) & 0xc1f83fe0) == 0x81b00e60))
#define iw_isfxor(i)        ((((i) & 0xc1f83fe0) == 0x81b00d80))
#define iw_isfxors(i)       ((((i) & 0xc1f83fe0) == 0x81b00da0))
#define iw_isfxtod(i)       ((((i) & 0xc1f83fe0) == 0x81a01100))
#define iw_isfxtoq(i)       ((((i) & 0xc1f83fe0) == 0x81a01180))
#define iw_isfxtos(i)       ((((i) & 0xc1f83fe0) == 0x81a01080))
#define iw_isfzero(i)       ((((i) & 0xc1f83fe0) == 0x81b00c00))
#define iw_isfzeros(i)      ((((i) & 0xc1f83fe0) == 0x81b00c20))
#define iw_isilltrap(i)     (((((i) >> 22) & 0x307) == 0x0))
#define iw_isimpdep1(i)     (((((i) >> 19) & 0x183f) == 0x1036) && (((i) & 0x3fe0) != 0x300) && (((i) & 0x3fe0) != 0x340) && (((i) & 0x3fe0) != 0x240) && (((i) & 0x3fe0) != 0x280) && (((i) & 0x3fe0) != 0x200) && (((i) & 0x3fe0) != 0x80) && (((i) & 0x3fe0) != 0xc0) && (((i) & 0x3fe0) != 0x100) && (((i) & 0x3fe0) != 0x140) && (((i) & 0x3fe0) != 0x0) && (((i) & 0x3fe0) != 0x40) && (((i) & 0x3fe0) != 0x900) && (((i) & 0x3fe0) != 0xe00) && (((i) & 0x3fe0) != 0xd00) && (((i) & 0x3fe0) != 0xd20) && (((i) & 0x3fe0) != 0xc80) && (((i) & 0x3fe0) != 0xca0) && (((i) & 0x3fe0) != 0xe20) && (((i) & 0x3fe0) != 0x540) && (((i) & 0x3fe0) != 0x5c0) && (((i) & 0x3fe0) != 0x500) && (((i) & 0x3fe0) != 0x580) && (((i) & 0x3fe0) != 0x400) && (((i) & 0x3fe0) != 0x480) && (((i) & 0x3fe0) != 0x440) && (((i) & 0x3fe0) != 0x4c0) && (((i) & 0x3fe0) != 0x9a0) && (((i) & 0x3fe0) != 0x6c0) && (((i) & 0x3fe0) != 0x6e0) && (((i) & 0x3fe0) != 0x620) && (((i) & 0x3fe0) != 0x6a0) && (((i) & 0x3fe0) != 0x660) && (((i) & 0x3fe0) != 0x700) && (((i) & 0x3fe0) != 0x720) && (((i) & 0x3fe0) != 0xdc0) && (((i) & 0x3fe0) != 0xde0) && (((i) & 0x3fe0) != 0xc40) && (((i) & 0x3fe0) != 0xc60) && (((i) & 0x3fe0) != 0xd40) && (((i) & 0x3fe0) != 0xd60) && (((i) & 0x3fe0) != 0xcc0) && (((i) & 0x3fe0) != 0xce0) && (((i) & 0x3fe0) != 0xfc0) && (((i) & 0x3fe0) != 0xfe0) && (((i) & 0x3fe0) != 0xf80) && (((i) & 0x3fe0) != 0xf40) && (((i) & 0x3fe0) != 0xf60) && (((i) & 0x3fe0) != 0xec0) && (((i) & 0x3fe0) != 0xee0) && (((i) & 0x3fe0) != 0xfa0) && (((i) & 0x3fe0) != 0x760) && (((i) & 0x3fe0) != 0x740) && (((i) & 0x3fe0) != 0x7a0) && (((i) & 0x3fe0) != 0xa00) && (((i) & 0x3fe0) != 0xa20) && (((i) & 0x3fe0) != 0xa40) && (((i) & 0x3fe0) != 0xa60) && (((i) & 0x3fe0) != 0x960) && (((i) & 0x3fe0) != 0xa80) && (((i) & 0x3fe0) != 0xaa0) && (((i) & 0x3fe0) != 0xac0) && (((i) & 0x3fe0) != 0xae0) && (((i) & 0x3fe0) != 0xe80) && (((i) & 0x3fe0) != 0xea0) && (((i) & 0x3fe0) != 0xf00) && (((i) & 0x3fe0) != 0xf20) && (((i) & 0x3fe0) != 0xe40) && (((i) & 0x3fe0) != 0xe60) && (((i) & 0x3fe0) != 0xd80) && (((i) & 0x3fe0) != 0xda0) && (((i) & 0x3fe0) != 0xc00) && (((i) & 0x3fe0) != 0xc20) && (((i) & 0x3fe0) != 0x7c0) && (((i) & 0x3fe0) != 0x1000))
#define iw_isimpdep2(i)     (((((i) >> 19) & 0x183f) == 0x1037))
#define iw_isjmpl(i)        (((((i) >> 19) & 0x183f) == 0x1038))
#define iw_isldd(i)         (((((i) >> 19) & 0x183f) == 0x1803))
#define iw_isldda(i)        (((((i) >> 19) & 0x183f) == 0x1813))
#define iw_islddf(i)        (((((i) >> 19) & 0x183f) == 0x1823))
#define iw_islddfa(i)       (((((i) >> 19) & 0x183f) == 0x1833))
#define iw_isldf(i)         (((((i) >> 19) & 0x183f) == 0x1820))
#define iw_isldfa(i)        (((((i) >> 19) & 0x183f) == 0x1830))
#define iw_isldfsr(i)       (((i) >> 19 == 0x1821))
#define iw_isldqf(i)        (((((i) >> 19) & 0x183f) == 0x1822))
#define iw_isldqfa(i)       (((((i) >> 19) & 0x183f) == 0x1832))
#define iw_isldsb(i)        (((((i) >> 19) & 0x183f) == 0x1809))
#define iw_isldsba(i)       (((((i) >> 19) & 0x183f) == 0x1819))
#define iw_isldsh(i)        (((((i) >> 19) & 0x183f) == 0x180a))
#define iw_isldsha(i)       (((((i) >> 19) & 0x183f) == 0x181a))
#define iw_isldstub(i)      (((((i) >> 19) & 0x183f) == 0x180d))
#define iw_isldstuba(i)     (((((i) >> 19) & 0x183f) == 0x181d))
#define iw_isldsw(i)        (((((i) >> 19) & 0x183f) == 0x1808))
#define iw_isldswa(i)       (((((i) >> 19) & 0x183f) == 0x1818))
#define iw_isldub(i)        (((((i) >> 19) & 0x183f) == 0x1801))
#define iw_islduba(i)       (((((i) >> 19) & 0x183f) == 0x1811))
#define iw_islduh(i)        (((((i) >> 19) & 0x183f) == 0x1802))
#define iw_islduha(i)       (((((i) >> 19) & 0x183f) == 0x1812))
#define iw_islduw(i)        (((((i) >> 19) & 0x183f) == 0x1800))
#define iw_islduwa(i)       (((((i) >> 19) & 0x183f) == 0x1810))
#define iw_isldx(i)         (((((i) >> 19) & 0x183f) == 0x180b))
#define iw_isldxa(i)        (((((i) >> 19) & 0x183f) == 0x181b))
#define iw_isldxfsr(i)      (((i) >> 19 == 0x1861))
#define iw_ismembar(i)      ((((i) & 0xffffc000) == 0x8143c000))
#define iw_ismova(i)        ((((i) & 0xc1ffc000) == 0x81660000))
#define iw_ismovcc(i)       ((((i) & 0xc1ffc000) == 0x81674000))
#define iw_ismovcs(i)       ((((i) & 0xc1ffc000) == 0x81654000))
#define iw_ismove(i)        ((((i) & 0xc1ffc000) == 0x81644000))
#define iw_ismovfa(i)       ((((i) & 0xc1ffc000) == 0x81620000))
#define iw_ismovfe(i)       ((((i) & 0xc1ffc000) == 0x81624000))
#define iw_ismovfg(i)       ((((i) & 0xc1ffc000) == 0x81618000))
#define iw_ismovfge(i)      ((((i) & 0xc1ffc000) == 0x8162c000))
#define iw_ismovfl(i)       ((((i) & 0xc1ffc000) == 0x81610000))
#define iw_ismovfle(i)      ((((i) & 0xc1ffc000) == 0x81634000))
#define iw_ismovflg(i)      ((((i) & 0xc1ffc000) == 0x81608000))
#define iw_ismovfn(i)       ((((i) & 0xc1ffc000) == 0x81600000))
#define iw_ismovfne(i)      ((((i) & 0xc1ffc000) == 0x81604000))
#define iw_ismovfo(i)       ((((i) & 0xc1ffc000) == 0x8163c000))
#define iw_ismovfu(i)       ((((i) & 0xc1ffc000) == 0x8161c000))
#define iw_ismovfue(i)      ((((i) & 0xc1ffc000) == 0x81628000))
#define iw_ismovfug(i)      ((((i) & 0xc1ffc000) == 0x81614000))
#define iw_ismovfuge(i)     ((((i) & 0xc1ffc000) == 0x81630000))
#define iw_ismovful(i)      ((((i) & 0xc1ffc000) == 0x8160c000))
#define iw_ismovfule(i)     ((((i) & 0xc1ffc000) == 0x81638000))
#define iw_ismovg(i)        ((((i) & 0xc1ffc000) == 0x81668000))
#define iw_ismovge(i)       ((((i) & 0xc1ffc000) == 0x8166c000))
#define iw_ismovgu(i)       ((((i) & 0xc1ffc000) == 0x81670000))
#define iw_ismovl(i)        ((((i) & 0xc1ffc000) == 0x8164c000))
#define iw_ismovle(i)       ((((i) & 0xc1ffc000) == 0x81648000))
#define iw_ismovleu(i)      ((((i) & 0xc1ffc000) == 0x81650000))
#define iw_ismovn(i)        ((((i) & 0xc1ffc000) == 0x81640000))
#define iw_ismovne(i)       ((((i) & 0xc1ffc000) == 0x81664000))
#define iw_ismovneg(i)      ((((i) & 0xc1ffc000) == 0x81658000))
#define iw_ismovpos(i)      ((((i) & 0xc1ffc000) == 0x81678000))
#define iw_ismovrgez(i)     ((((i) & 0xc1f81c00) == 0x81781c00))
#define iw_ismovrgz(i)      ((((i) & 0xc1f81c00) == 0x81781800))
#define iw_ismovrlez(i)     ((((i) & 0xc1f81c00) == 0x81780800))
#define iw_ismovrlz(i)      ((((i) & 0xc1f81c00) == 0x81780c00))
#define iw_ismovrnz(i)      ((((i) & 0xc1f81c00) == 0x81781400))
#define iw_ismovrz(i)       ((((i) & 0xc1f81c00) == 0x81780400))
#define iw_ismovvc(i)       ((((i) & 0xc1ffc000) == 0x8167c000))
#define iw_ismovvs(i)       ((((i) & 0xc1ffc000) == 0x8165c000))
#define iw_ismulscc(i)      (((((i) >> 19) & 0x183f) == 0x1024))
#define iw_ismulx(i)        (((((i) >> 19) & 0x183f) == 0x1009))
#define iw_isnop(i)         ((((i) & 0xffffffff) == 0x1000000))
#define iw_isor(i)          (((((i) >> 19) & 0x183f) == 0x1002))
#define iw_isorcc(i)        (((((i) >> 19) & 0x183f) == 0x1012))
#define iw_isorn(i)         (((((i) >> 19) & 0x183f) == 0x1006))
#define iw_isorncc(i)       (((((i) >> 19) & 0x183f) == 0x1016))
#define iw_ispdist(i)       ((((i) & 0xc1f83fe0) == 0x81b007c0))
#define iw_ispopc(i)        ((((i) & 0xc1ffc000) == 0x81700000))
#define iw_isprefetch(i)    (((((i) >> 19) & 0x183f) == 0x182d))
#define iw_isprefetcha(i)   (((((i) >> 19) & 0x183f) == 0x183d))
#define iw_isrdasi(i)       ((((i) & 0xc1ffc000) == 0x8140c000))
#define iw_isrdasr(i)       (((((i) >> 19) & 0x183f) == 0x1028) && (((i) & 0x3e07c000) != 0x3c000) && (((i) & 0x7c000) != 0xc000) && (((i) & 0x7c000) != 0x8000) && (((i) & 0x7c000) != 0x18000) && (((i) & 0x7c000) != 0x14000) && (((i) & 0x7c000) != 0x10000) && (((i) & 0x7c000) != 0x0))
#define iw_isrdccr(i)       ((((i) & 0xc1ffc000) == 0x81408000))
#define iw_isrdfprs(i)      ((((i) & 0xc1ffc000) == 0x81418000))
#define iw_isrdpc(i)        ((((i) & 0xc1ffc000) == 0x81414000))
#define iw_isrdpr(i)        (((((i) >> 19) & 0x183f) == 0x102a))
#define iw_isrdtick(i)      ((((i) & 0xc1ffc000) == 0x81410000))
#define iw_isrdy(i)         ((((i) & 0xc1ffc000) == 0x81400000))
#define iw_isrestore(i)     (((((i) >> 19) & 0x183f) == 0x103d))
#define iw_isrestored(i)    (((i) >> 19 == 0x1071))
#define iw_isretry(i)       (((i) >> 19 == 0x107e))
#define iw_isreturn(i)      (((((i) >> 19) & 0x183f) == 0x1039))
#define iw_issave(i)        (((((i) >> 19) & 0x183f) == 0x103c))
#define iw_issaved(i)       (((i) >> 19 == 0x1031))
#define iw_issdiv(i)        (((((i) >> 19) & 0x183f) == 0x100f))
#define iw_issdivcc(i)      (((((i) >> 19) & 0x183f) == 0x101f))
#define iw_issdivx(i)       (((((i) >> 19) & 0x183f) == 0x102d))
#define iw_issdivxcc(i)     (((((i) >> 19) & 0x183f) == 0x101d))
#define iw_issethi(i)       (((((i) >> 22) & 0x307) == 0x4) && (((i) & 0x3e3fffff) != 0x0))
#define iw_isshutdown(i)    ((((i) & 0xc1f83fe0) == 0x81b01000))
#define iw_issir(i)         ((((i) & 0xffffe000) == 0x9f802000))
#define iw_issll(i)         ((((i) & 0xc1f81000) == 0x81280000))
#define iw_issllx(i)        ((((i) & 0xc1f81000) == 0x81281000))
#define iw_issmul(i)        (((((i) >> 19) & 0x183f) == 0x100b))
#define iw_issmulcc(i)      (((((i) >> 19) & 0x183f) == 0x101b))
#define iw_issra(i)         ((((i) & 0xc1f81000) == 0x81380000))
#define iw_issrax(i)        ((((i) & 0xc1f81000) == 0x81381000))
#define iw_issrl(i)         ((((i) & 0xc1f81000) == 0x81300000))
#define iw_issrlx(i)        ((((i) & 0xc1f81000) == 0x81301000))
#define iw_isstb(i)         (((((i) >> 19) & 0x183f) == 0x1805))
#define iw_isstba(i)        (((((i) >> 19) & 0x183f) == 0x1815))
#define iw_isstd(i)         (((((i) >> 19) & 0x183f) == 0x1807))
#define iw_isstda(i)        (((((i) >> 19) & 0x183f) == 0x1817))
#define iw_isstdf(i)        (((((i) >> 19) & 0x183f) == 0x1827))
#define iw_isstdfa(i)       (((((i) >> 19) & 0x183f) == 0x1837))
#define iw_isstf(i)         (((((i) >> 19) & 0x183f) == 0x1824))
#define iw_isstfa(i)        (((((i) >> 19) & 0x183f) == 0x1834))
#define iw_isstfsr(i)       (((i) >> 19 == 0x1825))
#define iw_issth(i)         (((((i) >> 19) & 0x183f) == 0x1806))
#define iw_isstha(i)        (((((i) >> 19) & 0x183f) == 0x1816))
#define iw_isstqf(i)        (((((i) >> 19) & 0x183f) == 0x1826))
#define iw_isstqfa(i)       (((((i) >> 19) & 0x183f) == 0x1836))
#define iw_isstw(i)         (((((i) >> 19) & 0x183f) == 0x1804))
#define iw_isstwa(i)        (((((i) >> 19) & 0x183f) == 0x1814))
#define iw_isstx(i)         (((((i) >> 19) & 0x183f) == 0x180e))
#define iw_isstxa(i)        (((((i) >> 19) & 0x183f) == 0x181e))
#define iw_isstxfsr(i)      (((i) >> 19 == 0x1865))
#define iw_issub(i)         (((((i) >> 19) & 0x183f) == 0x1004))
#define iw_issubc(i)        (((((i) >> 19) & 0x183f) == 0x100c))
#define iw_issubcc(i)       (((((i) >> 19) & 0x183f) == 0x1014))
#define iw_issubccc(i)      (((((i) >> 19) & 0x183f) == 0x101c))
#define iw_isswap(i)        (((((i) >> 19) & 0x183f) == 0x180f))
#define iw_isswapa(i)       (((((i) >> 19) & 0x183f) == 0x181f))
#define iw_ista(i)          (((((i) >> 19) & 0x1bff) == 0x123a))
#define iw_istaddcc(i)      (((((i) >> 19) & 0x183f) == 0x1020))
#define iw_istaddcctv(i)    (((((i) >> 19) & 0x183f) == 0x1022))
#define iw_istcc(i)         (((((i) >> 19) & 0x1bff) == 0x137a))
#define iw_istcs(i)         (((((i) >> 19) & 0x1bff) == 0x117a))
#define iw_iste(i)          (((((i) >> 19) & 0x1bff) == 0x107a))
#define iw_istg(i)          (((((i) >> 19) & 0x1bff) == 0x12ba))
#define iw_istge(i)         (((((i) >> 19) & 0x1bff) == 0x12fa))
#define iw_istgu(i)         (((((i) >> 19) & 0x1bff) == 0x133a))
#define iw_istl(i)          (((((i) >> 19) & 0x1bff) == 0x10fa))
#define iw_istle(i)         (((((i) >> 19) & 0x1bff) == 0x10ba))
#define iw_istleu(i)        (((((i) >> 19) & 0x1bff) == 0x113a))
#define iw_istn(i)          (((((i) >> 19) & 0x1bff) == 0x103a))
#define iw_istne(i)         (((((i) >> 19) & 0x1bff) == 0x127a))
#define iw_istneg(i)        (((((i) >> 19) & 0x1bff) == 0x11ba))
#define iw_istposz(i)       (((((i) >> 19) & 0x1bff) == 0x13ba))
#define iw_istsubcc(i)      (((((i) >> 19) & 0x183f) == 0x1021))
#define iw_istsubcctv(i)    (((((i) >> 19) & 0x183f) == 0x1023))
#define iw_istvc(i)         (((((i) >> 19) & 0x1bff) == 0x13fa))
#define iw_istvs(i)         (((((i) >> 19) & 0x1bff) == 0x11fa))
#define iw_isudiv(i)        (((((i) >> 19) & 0x183f) == 0x100e))
#define iw_isudivcc(i)      (((((i) >> 19) & 0x183f) == 0x101e))
#define iw_isudivx(i)       (((((i) >> 19) & 0x183f) == 0x100d))
#define iw_isumul(i)        (((((i) >> 19) & 0x183f) == 0x100a))
#define iw_isumulcc(i)      (((((i) >> 19) & 0x183f) == 0x101a))
#define iw_isumulxcc(i)     (((((i) >> 19) & 0x183f) == 0x1019))
#define iw_iswrasi(i)       (((i) >> 19 == 0x10f0))
#define iw_iswrasr(i)       (((((i) >> 19) & 0x183f) == 0x1030) && (((i) & 0x3e07e000) != 0x1e002000) && ((((i) >> 25) & 0x1f) != 0x3) && ((((i) >> 25) & 0x1f) != 0x2) && ((((i) >> 25) & 0x1f) != 0x6) && ((((i) >> 25) & 0x1f) != 0x0))
#define iw_iswrccr(i)       (((i) >> 19 == 0x10b0))
#define iw_iswrfprs(i)      (((i) >> 19 == 0x11b0))
#define iw_iswrpr(i)        (((((i) >> 19) & 0x183f) == 0x1032))
#define iw_iswry(i)         (((i) >> 19 == 0x1030))
#define iw_isxnor(i)        (((((i) >> 19) & 0x183f) == 0x1007))
#define iw_isxnorcc(i)      (((((i) >> 19) & 0x183f) == 0x1017))
#define iw_isxor(i)         (((((i) >> 19) & 0x183f) == 0x1003))
#define iw_isxorcc(i)       (((((i) >> 19) & 0x183f) == 0x1013))


#endif /*IWORDS_h_*/
