/* Copyright 1997 Sun Microsystems, Inc.  All rights reserved. */

#ifndef opfields_h_
#define opfields_h_

#pragma ident "@(#)Shade and Spixtools V5.32C, V9 SPARC SunOS"


#define ofsize(of)	((of)->of_msb - (of)->of_lsb + 1)
#define ofmask(of)	(ofsize(of) == 32 ? 0xffffffff : \
			(((1 << ofsize(of)) - 1) << (of)->of_lsb))


typedef struct {
	char	*of_name;
	char	of_msb;
	char	of_lsb;
	char	of_signed;
	char	of_pcrel;
} OpField;


extern OpField	*ofsearch();


#endif /*opfields_h_*/
