#include <xview/xview.h>
#include <xview/panel.h>
#include <xview/cms.h>
#include "defs.h"

#define AT_MORE         5

void				FeedOk();

extern	int	ddtb_total_misses[AT_MORE][5],idtb_total_misses[AT_MORE][5],
			dcache_total_misses[AT_MORE][5], icache_total_misses[AT_MORE][5],
			sec_level_cache_total_misses[AT_MORE][5];

extern	int	ddtb_total_ref[AT_MORE][5],idtb_total_ref[AT_MORE][5],
			dcache_total_ref[AT_MORE][5], icache_total_ref[AT_MORE][5],
			sec_level_cache_total_ref[AT_MORE][5];

extern	int	HOW_MANY;

Frame		feed;

void 
feedback_mess(info)
char *info;
{
	Panel		temp;
	Panel_item	feedback;
	Panel_item	feeddone;
	Cms		cms;
	

	static Xv_singlecolor cms_colors[] =
	{
                { 255, 255, 255 },      /* white , 1*/
                { 255, 0, 0 },          /* RED ,2 */
                { 0, 255, 0 },          /* GREEN , 3 */
                { 0, 0, 255 },          /* BLUE , 4*/
                { 0, 0,   0 },          /* BLACK ,5 */
                { 250, 130, 80 },       /* ORANGE ,6 */
                { 30, 230, 250 },       /* AQUA ,7 */
                { 230, 30, 250 },       /* pink ,8  */
                { 50, 0,220},           /*gray , 9 */
                {0,255,255}             /*cyan1 , 10 */
	};

	feed = (Frame)xv_create(NULL, FRAME,
			FRAME_LABEL, 	"Final Results",
			XV_HEIGHT, 	260*HOW_MANY, 
			XV_WIDTH, 	460, 
			XV_X,		  0,
			XV_Y,		  0,
	NULL);

	cms = xv_create(NULL, CMS,
		CMS_SIZE,       9,
		CMS_TYPE,       XV_STATIC_CMS,
		CMS_COLORS,     cms_colors,
	NULL);

	temp = (Panel)xv_create(feed, PANEL, 
			XV_HEIGHT, 250*HOW_MANY, 
			XV_WIDTH, 450,
			XV_X,       1,
			XV_Y,       1,
			WIN_CMS,    cms,
	NULL);


	xv_set(temp,WIN_BACKGROUND_COLOR,CMS_CONTROL_COLORS + 3,NULL);

	feedback = (Panel_item)xv_create(temp, PANEL_MESSAGE,
			PANEL_LABEL_STRING,     info,
			PANEL_LAYOUT,           PANEL_HORIZONTAL,
			XV_X,       30,
			XV_Y,       30,
		NULL);

	feeddone = (Panel_item)xv_create(temp, PANEL_BUTTON,
			XV_X, 50,
			XV_Y, 5,
			PANEL_LABEL_STRING, " OK ",
			PANEL_NOTIFY_PROC, FeedOk,
		NULL);

	window_fit(feed);
	xv_main_loop(feed);
}

void FeedOk()
{
	xv_destroy_safe(feed);
}

void
show_final_results()
{
	int	i;

	char	tmp[AT_MORE][1024];
	char	temp[1024*AT_MORE];

	for (i = 0; i < AT_MORE; i++)
		strcpy(tmp[i],"");
	strcpy(temp,"");
	for (i = 0; i < HOW_MANY; i++)
	{
		sprintf(tmp[i],"For Cache Hierarchy %d:\n\nData TLB misses: %d \nInstruction TLB misses: %d \nData Cache misses: %d \nInstruction Cache misses: %d \nSecond Level Cache misses: %d \n\nData TLB References: %d \nInstruction TLB References: %d \nData Cache References: %d \nInstruction Cache References: %d \nSecond Level Cache References: %d \n",i+1,ddtb_total_misses[i][0],idtb_total_misses[i][1],dcache_total_misses[i][2],icache_total_misses[i][3],sec_level_cache_total_misses[i][4],ddtb_total_ref[i][0],idtb_total_ref[i][1],dcache_total_ref[i][2],icache_total_ref[i][3],sec_level_cache_total_ref[i][4]);
	}
	for (i = 0; i < AT_MORE; i++)
		strcat(temp,tmp[i]);
	feedback_mess(temp);
}
