#include "defs.h"

Termsw          term;
Panel_item      text_item;

int		TERMSW_FLAG;

void		q_but();
int         	notify_proc();

void
term_callback_proc()
{
	Frame       frame;
	Panel       panel;

	frame = (Frame)xv_create(NULL, FRAME, 
			FRAME_LABEL,	" TERM SW",
	NULL);

	panel = (Panel)xv_create(frame, PANEL, NULL);

	text_item = (Panel_item)xv_create(panel, PANEL_TEXT,
			PANEL_LABEL_STRING,         "Command:",
			PANEL_NOTIFY_PROC,          notify_proc,
			PANEL_VALUE_DISPLAY_LENGTH, 20,
		NULL);

	(void) xv_create(panel, PANEL_BUTTON,
			PANEL_LABEL_STRING,     "Apply",
			PANEL_NOTIFY_PROC,      notify_proc,
		NULL);

	(void) xv_create(panel, PANEL_BUTTON,
			PANEL_LABEL_STRING,     " Cancel ",
			PANEL_NOTIFY_PROC,      q_but,
		NULL);

	window_fit_height(panel);

	term = (Termsw)xv_create(frame, TERMSW, NULL);

	window_fit(frame);
	xv_main_loop(frame);
}

int
notify_proc(item,event)
Panel_item      item;
Event   *event;
{
    char        str[81];
    
    sprintf(str, "%.81s\n", (char *)xv_get(text_item, PANEL_VALUE));
    ttysw_input(term, str, strlen(str));
/*    xv_set(text_item, PANEL_VALUE, "../shade/cachesim5/cachesim5", NULL);*/
    xv_set(text_item, PANEL_VALUE, "cachesim5", NULL);
    return XV_OK;
}

void
q_but()
{
	Frame	frame;

	frame = xv_get(xv_get(text_item, PANEL_PARENT_PANEL), XV_OWNER);
	TERMSW_FLAG = 0;
	xv_destroy_safe(frame);
}
