#include <stdio.h>
#include <signal.h>
#include <string.h>
#include <netdb.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/wait.h>
#include <errno.h>
#include <fcntl.h>
#include <sys/socket.h>
#include <netinet/in.h>

extern char *sys_errlist[];

#define MSGLEN	512

#define HOSTNAMELEN	256

#define PORT 9919
#define MAXCONNECTIONS 5

#define CLEAR(_p)			\
	{ int i;			\
	  for (i=0; i<= MSGLEN; i++)	\
		_p[i] = '\0'; }

typedef	struct	Msg_test
{
	int	a1;
	int	a2;
	int	pid;
	char	command[128];
	int     InstrCacheSize;
        int     DataCacheSize;
        int     InstrTlbSize;
        int     DataTlbSize;
        int     SecondLeveCacheSize;
	int	how_many;
	int	read_from_file;
}Msg_test;

typedef	struct	SimultParamsStruct
{
	int     InstrTLBParams[5];
	int     DataTLBParams[5];
	int     InstrCacheParams[5];
	int     DataCacheParams[5];
	int     SecLevelCacheParams[5];

	char    InstrTLBWhat[5][10];
	char    DataTLBWhat[5][10];
	char    InstrCacheWhat[5][10];
	char    DataCacheWhat[5][10];
	char    SecLevelCacheWhat[5][10];
}SimultParamsStruct;

int     InstrCacheSize = 8;
int     DataCacheSize = 8;
int     InstrTlbSize = 5;
int     DataTlbSize = 128;
int     SecondLeveCacheSize = 512;

