#include <stdio.h>
#include "address_list.h"

void
insert_addr_list(addr, line, which_window)
unsigned int	addr;
int		line;
int		which_window;
{
	addr_list	*tmp;

	tmp = (addr_list *)malloc(sizeof(addr_list));

	tmp->addr = addr;
	tmp->line = line;
	tmp->which_window = which_window;
	tmp->next = NULL;

	if (!First_Addr_List)
	{
		First_Addr_List = tmp;
		Last_Addr_List = tmp;
	}
	else
	{
		Last_Addr_List->next = tmp;
		Last_Addr_List = Last_Addr_List->next;
	}
}

void
Print_addr_list()
{
	addr_list	*run;
	FILE		*fp;

	fp = fopen("/tmp/ADDR_LIST","w");
	if (!fp)
	{
		fprintf(stderr,"I cannot open ADDR_LIST for writing !\n");
		return;
	}

	run = First_Addr_List;
	
	while (run)
	{
		fprintf(fp,"Address %lx (window %d) refers to line %d \n",run->addr,run->which_window, run->line);
		run = run->next;
	}
	fclose(fp);
}

addr_list *
search_addr_list(addr)
unsigned int addr;
{
	addr_list	*run;

	run = First_Addr_List;

	while (run)
	{
		if (run->addr == addr)
			return run;
		else
			run = run->next;

	}

	return NULL;
}
	
	

